0.234 2021-07-28
----------------


MAME Testers Bugs Fixed
-----------------------
- 02356: [Graphics] (batman.cpp) batman: [possible] Blue line shows on the edge of some ending screens. (David Haywood)
- 05261: [Graphics] (namcos2.cpp) burnforc: Part of the waterline is missing. (David Haywood)
- 05358: [Graphics] (namcofl.cpp) finalapr and clones: Objects on the side of the track are not visible. (Ryan Holtz)
- 05617: [Graphics] (zr107.cpp) midnrun, jetwave, waveshrk, windheat and clones: Display blacks out periodically. (Ville Linde)
- 05978: [Graphics] (namcofl.cpp) finalapr: AI cars are never reflected in the rear view mirrors. (Ryan Holtz)
- 06381: [Gameplay] (zr107.cpp) windheat, windheatj, windheatu, windheata: AI cars always Truenos in standard mode. (Ville Linde)
- 06666: [Graphics] (namconb1.cpp) nebulray: Raster effects are off by one line. (David Haywood)
- 06904: [Graphics] (namcofl.cpp) finalapr, finalapro, finalaprj: Sprites are drawn incorrectly. (Ryan Holtz)
- 06944: [Graphics] (namcos2.cpp) burnforc: Waterline is drawn incorrectly. (David Haywood)
- 07174: [Gameplay] (cobra.cpp) bujutsu: The game no longer boots to the title screen. (Ville Linde)
- 07432: [Timing] (gticlub.cpp) gticlub, jetwave and clones: The player vehicle skips/jitters during the end sequence. (Ville Linde)
- 07490: [Crash/Freeze] (zr107.cpp) windheat and clones: 3D graphics stop updating during races. (Ville Linde)
- 07801: [Gameplay] (model2.cpp) motoraid, motoraiddx: Collision detection breaks at various places. (Ryan Holtz)
- 08018: [Save/Restore] All games/systems using OPM/N FM synth.: Single stuck note plays after restoring saved state. (Aaron Giles)
- 08020: [DIP/Input] (acrnsys.cpp) acrnsys5: Keyboard is not initially enabled. (Steven Coomber)
- 08023: [Documentation] (cosmic.cpp) nomnlnd: Export title should not be used for Japanese version. (jkburks)
- 08027: [Documentation] (neogeo.cpp) mslug4: Co-developer Noise Factory is not listed in metadata. (Angelo Salese)
- 08033: [Sound] (lordgun.cpp) aliencha, alienchac: Background music does not play during fights. (Aaron Giles)
- 08034: [Sound] (snk.cpp) fsoccer: Almost all voice samples fail to play. (Aaron Giles)


New working machines
--------------------
Canon Palmtronic F-31 [hap, Sean Riddle]
Fidelity Electronics / CXG Systems Eldorado Chess Challenger [hap, bataais]
National Semiconductor DB32016 [Al Kossow]
Runaway (Sun Electronics, Japan) [Dillweed]
Texas Instruments TI-1680 [hap, Sean Riddle]


New working clones
------------------
Armored Warriors (Brazil 941024) [Vinícius Marques, Filipe Nascimento, Giovanni (FOX Eletronics), CPS Raptor group, SHVB]
Fidelity Electronics Elite A/S Challenger (original program) [Berger]
Gunbarl (Japan, GNB1/VER.A) [Bill D., Brian Troha, The Dumping Union]
Magical Twin Bee (ver EAA) [Phil Bennett]
Sky Shark (bootleg) [jordigahan]
Space Mission (SegaSA / Sonic, Spanish bootleg of Scramble) [Arcade Planet, Victor Fernandez (City Game), ClawGrip]
Spider (Tronica) [algestam]


Machines promoted to working
----------------------------
Pac-Carnival [Devin Acker]
VS Mahjong Triangle [Angelo Salese, Vas Crabb]


New machines marked as NOT_WORKING
----------------------------------
Casio SX1010 [Plamen Mihaylov]
Olimpic Hockey (EM Bubble Hockey, set 1) [Museo del Recreativo, Recreativas.org]
Phantom Pays Classic (0101003V, NSW/ACT) [Dam0, Heihachi_73]
Same Same Panic [Phil Bennett]
Super Mario World - Mario Undoukai [Phil Bennett, Brian Troha, The Dumping Union]
Tektronix 4132 [Al Kossow]
Terebi Denwa Doraemon [Phil Bennett]


New clones marked as NOT_WORKING
--------------------------------
386-SC-HG [Predator99, rfka01]
486MMBO4088 (TI TX486SLC/E) [alvaro84, rfka01]
80386SX-VH-COM [Predator99, rfka01]
A-Trend ATC-1425B [Windows9566, rfka01]
Abit AB-AV4 [HanJammer, rfka01]
Abit AB-AX4 [fool, rfka01]
Addtech Research 4GLX3 Green-B 4GPV3.1 [Horun, rfka01]
ADI F4DXL-UC4 [Predator99, rfka01]
Advanced Logic Research PWB 7270 REV E [lgj1107, rfka01]
Amstrad PC9486 [Zalog, rfka01]
ASI 100B0, identified as HAM 12 TI 286 Motherboard ZERO WAIT [CMB75, rfka01]
Asus ISA-486SIO rev. 1.2 [BreakPoint, rfka01]
Asus ISA-486 [TheMobRules, rfka01]
Biostar MB-1433/50 AEA-P - V:1 [Thermalwrong, rfka01]
Caching Tech Corporation C386MX [p1p1p1, rfka01]
CAF Prolite 286/16 [jensma, rfka01]
Chaintech 4SPI [AskNotes, rfka01]
Chaintech ELT-P9 / most likely ELT-386SX-160D [Predator99, rfka01]
Commodore Business Machines 386SX-25 [sdose, rfka01]
Compaq Deskpro [jafir, rfka01]
Diamond Flower International 386SX-16/20CN Rev 1.0 [Vipersan, rfka01]
DTK MBA-032Q TK83305-4N-D-03 [SSTV2, rfka01]
Elitegroup Computer Systems ECS-386A [TheMobRules, rfka01]
Elitegroup ECS 8517 v3.3 [Horun, rfka01]
First International Computer 486-GVT [zoinknoise, rfka01]
First International Computer 486-VC-HD [Darkscop, rfka01]
First International Computer FIC ELI6-II [Horun, rfka01]
Gemlight GMB-486SG v2.2 [Deksor, rfka01]
Gemlight GMB-486UNP v2.1 [Deksor, rfka01]
ICL DRS M40 [Deksor, rfka01]
ILON USA, INC. M-396B [BreakPoint, rfka01]
Jamicon KM-S4-1 VER 1.1 [BreakPoint, rfka01]
Jetway J-403TG [BreakPoint, computerguy08, theoryboy, rfka01]
Lucky Star UCM-486V30 [BreakPoint, rfka01]
Micronics JX30GP, Motherboard P/N: 09-00189-10 REV B1 [SSTV2, rfka01]
Mitac MBA-029 [Madao, rfka01]
Mitac PWA-IH4077C [Horun, rfka01]
Mitac PWA-IH4077D [8bitbubsy, rfka01]
Morse KP920121523 V2.20 [Predator99, rfka01]
Morse M3 V3.0 [Am386DX-40, rfka01]
MSI MS-4132 G VER:1 [TheMobRules, rfka01]
Nandemo Seal Iinkai (alternate ver 1.0) [twistedsymphony]
Nandemo Seal Iinkai (Astro Boy ver. 1.1) [twistedsymphony]
NEC APC IV [jafir, dhau, rfka01]
Octec Fox M 286 [HanJammer, rfka01]
Olimpic Hockey (EM Bubble Hockey, set 2) [Museo del Recreativo, Recreativas.org]
Packard Bell PCB-303 Rev.01 [Predator99, rfka01]
PC-Chips M209 [Am386DX-40, rfka01]
PC-Chips M317 [Predator99, rfka01]
Peacock Computer S-286 Rev A [Predator99, rfka01]
Peacock P386DX-40 [Predator99, rfka01]
Philips P3239 [Predator99, rfka01]
PowerTech MB457 [BreakPoint, rfka01]
Prolink P386SX-25PW VER:2.00 [Eep386, rfka01]
Quadtel QTC-SXM KT X20T02/HI Rev.3 [Thermalwrong, rfka01]
Rainbow Warriors (0101132V, NSW/ACT) [Dam0, Heihachi_73]
Siemens PCD-2M [Predator99, rfka01]
SIIG MiniSys 2000 [zoinknoise, rfka01]
Silent Scope 2 : Fatal Judgement (ver UAB, Ver 1.01, GN715 video board) [Guru]
Silent Scope 2 : Fatal Judgement (ver UAC, Ver 1.02, GN715 video board) [Guru]
Silent Scope (ver UAD, Ver 1.33, GQ871 video board) [Guru]
Silicon Valley Computer, Inc. 486WB6A3.B1 [zero01101, rfka01]
SOYO 025D2 [BreakPoint, rfka01]
SOYO 025K2 [Ph@ntom-X, rfka01]
Soyo Baby AT 386 [Aerion, rfka01]
TMC PAT48AV [Madao, rfka01]
TMC PAT48PG4 [HanJammer, rfka01]
Toshiba T3200SXC [adalbert, rfka01]
Twinhead Netstation PC [HanJammer, rfka01]
Wearnes CL286-12/16S (CL286-12S and CL286-16S) [HanJammer, rfka01]
ZEOS 386 SX-16 [Horun, rfka01]


New working software list additions
-----------------------------------
32x: Motherbase (Euro) [Xenon]
apexc_cyl: Hello World 1, Hello World 2, Hello World 3 [Robbbert]
apple2_flop_clcracked:
  Farm Ledger Pro (cleanly cracked), Print Your Own BINGO Plus (Version 01.23.88) (cleanly cracked),
  Pro Football Pointspread Prediction System (cleanly cracked) [4am, Firehawke]
  Adventure Double Feature Volume II (cleanly cracked), Algebra I (Version 1.3) (SoftSmith) (cleanly cracked),
  Astro Attack (SoftSmith) (cleanly cracked), Beach Landing (cleanly cracked),
  Bugbyter (Version 1.11) (SoftSmith) (cleanly cracked), Bumble Games (Version 1.4) (cleanly cracked),
  Con-Putation (cleanly cracked), Cosmic Combat (SoftSmith) (cleanly cracked), Creature Venture (SoftSmith) (cleanly cracked),
  Cross Country Rallye (Softsmith) (cleanly cracked), Crush, Crumble and Chomp! (1981-06-22 Version) (cleanly cracked),
  Dinner on a Disk (SoftSmith) (cleanly cracked), Disk Director (SoftSmith) (cleanly cracked),
  Drinks on a Disk (SoftSmith) (cleanly cracked), The Final Frontier (Version 1.0) (SoftSmith) (cleanly cracked),
  Fractions (Version 3.0) (SoftSmith) (cleanly cracked), Friends or Lovers (SoftSmith) (cleanly cracked),
  Game of the U.S. (SoftSmith) (cleanly cracked), The Game Show (SoftSmith) (cleanly cracked),
  Guardian (SoftSmith) (cleanly cracked), L.A. Land Monopoly (SoftSmith) (cleanly cracked),
  Lazer Maze (SoftSmith) (cleanly cracked), Lazer Silk (SoftSmith) (cleanly cracked),
  Little Speller (Version 2.0) (SoftSmith) (cleanly cracked), LogoMotion (Version 1.2) (SoftSmith) (cleanly cracked),
  Math Skills (Version 1.3) (SoftSmith) (cleanly cracked), Micro Barmate (Version 1.0) (SoftSmith) (cleanly cracked),
  Midnight Malady (SoftSmith) (cleanly cracked), Moptown Parade (1981 Version) (cleanly cracked),
  Mummy's Curse (SoftSmith) (cleanly cracked), Perception (Version 3.1) (SoftSmith) (cleanly cracked),
  Spell Master (Version 1.3.1) (SoftSmith) (cleanly cracked), Stickybear Drawing (cleanly cracked),
  Supermap (SoftSmith) (cleanly cracked), Temple of Apshai rev. 4 (cleanly cracked), Zenith (SoftSmith) (cleanly cracked)
  [4am, san inc., Firehawke]
apple2_flop_orig:
  Alge-Blaster Plus! (Version 1.0) (800K 3.5"), Hegira: Tale of a Galactic Exile, Mickey's Crossword Puzzle Maker (800K 3.5"),
  The Playroom (Version 1.0) (800K 3.5"), Prince of Persia (800K 3.5"), Rampage (800K 3.5"),
  Sentence Fun (1989 Re-release) (800K 3.5"), Spelling Rules (1989 Re-release) (800K 3.5"), Stickybear Math (800K 3.5"),
  Stickybear Math 2 (1988 Re-release) (800K 3.5"), Stickybear Opposites (1989 Re-release) (800K 3.5"),
  Stickybear Town Builder (1988 Re-release) (800K 3.5"), Stickybear Typing (1988 Re-release) (800K 3.5"),
  SuperPrint! (Version 1.4) (800K 3.5"), Troll Sports Math (800K 3.5"), Where in Europe is Carmen Sandiego? (800K 3.5"),
  Woolly's Birthday (Version 1.0) (800K 3.5") [4am, Firehawke]
apple2gs_flop_orig:
  Calendar Crafter (Version 1.2), Charlie Brown's ABC's, Columns GS, Designer Prints (Version 1.0), Designer Puzzles (Version 1.0),
  Mercury (Version 1.0), Paperboy, Pipe Dream, ShowOff (Version 1.1), Snoopy's Reading Machine, Storybook Weaver,
  Storybook Weaver: World of Adventure (Version 1.0), Storybook Weaver: World of Make-Believe (Version 1.0) [4am, Firehawke]
c64_cass:
  10 Computer Hits 2 (alt), 10 Computer Hits 3, 10 Computer Hits 4, 10th Frame, 1942, 1942 (alt), 1943: The Battle of Midway,
  3D Pool, 3D Pool (Kixx), 4 Most Horror, 4 Soccer Simulators, 4th & Inches, 5th Gear (Prism), 6 Computer Hits,
  6 Computer Hits (alt), 6 Pak, 720 Degrees, ACE: The Air Combat Emulator, AcroJet, Action Pack (alt),
  Addicted to Fun: Rainbow Collection, Advanced Pinball Simulator, Adventures of Bond... Basildon Bond, Alleykat (alt),
  Altered Beast, Alternative World Games, America's Cup Challenge, Anarchy (alt), Annihilator (Rabbit Software), Anter-Planter,
  Arcade Force Four, Arcade Hits 2 in 1, Arkanoid (Imagine), Arkanoid: Revenge of Doh, Armalyte, Armourdillo, Army Moves, Athena,
  Atomic Robo-Kid, Attack of the Mutant Camels (alt), Auf Wiedersehen Monty, Avenger, A View to a Kill
  [The Ultimate Tape Archive Team, Steven Coomber]
fmtowns_cd:
  Computer Zukan - Shokubutsu-hen, FM Towns II Demonstration CD-ROM '93 Winter, FM Towns Super Technology Demo 1993 (HME-219),
  GNU for Towns, Hyperland II - Mimi no Daibouken, Oto to E no Deru Eigo Jisho No. 3 - Nandemo Illust Eigo Jiten,
  Oto to E no Deru Eigo Jisho No. 4 - Nandemo Illust Eigo Jiten Part 2, Q² ROM Magazine Soukan-gou, Secre Demo Disk,
  Secre Volume 4 - Hitomi Fujisaki, Secre Volume 5 - Tina Gushiken, Secre Volume 6 - Reiko Kato, Secre Volume 7 - Reiko Chiba,
  Towns System Software V2.1 L20, Towns System Software V2.1 L30A, Towns System Software V2.1 L40, TownsPaint II V1.1 L10,
  TownsSound V2.1 L10 [redump.org]
  Multimedia Communication Virtual Town - TC-Station - Computer Gakushuu Program,
  Multimedia Communication Virtual Town - TC-Station - Computer Graphics & Music,
  Multimedia Communication Virtual Town - TC-Station - Game Collection,
  Multimedia Communication Virtual Town - TC-Station - Marty WorPro & Marty Hyoukeisan,
  Multimedia Communication Virtual Town - TC-Station - Photo Collection,
  Multimedia Communication Virtual Town - TC-Station - Virtual Town Tsuushin Program [redump.org, cyo.the.vile]
fmtowns_flop_orig:
  Ayumi-chan Monogatari Hint Disk, D.P.S SG 2 - Dream Program System SG Set 2, D.P.S SG 3 - Dream Program System SG Set 3,
  Dr. Stop!, Kakeibo + Fukubukuro - Wagaya no Benrichou Vol. 1, Rance - Hikari o Motomete, Rance 2 - Hangyaku no Shoujo-tachi,
  Rance 2 Hint Disk, Rance IV Demonstration Disk, Rance IV Option Disk, Super D.P.S., Toushin Toshi (1990-12-07) [cyo.the.vile]
  Towns Drill - Shougaku Sansuu Series - Sansuu 4-nen (TownsGEAR V2.1 version),
  Towns Drill - Shougaku Sansuu Series - Sansuu 5-nen (TownsGEAR V2.1 version) [wiggy2k]
ibm5150: Crime Wave (5.25", v1.1), Crime Wave (v2.0, 3.5") [The Good Old Days]
ibm5170:
  Caldera OpenDOS 7.01 (3.5" 1.44MB), Caldera OpenDOS 7.01 (3.5" 720KB), Caldera OpenDOS 7.01 (5.25" 1.2MB),
  Caldera OpenDOS Lite 7.01 (3.5" 1.44MB), Caldera OpenDOS Lite 7.01 (3.5" 720KB), Caldera OpenDOS Lite 7.01 (5.25" 1.2MB),
  DR DOS 7.03, DR DOS Lite 7.03, OS/2 Black Jack, OS/2 Poker, OS/2 Warp, OS/2 Warp 3 FixPak XR_W040,
  OS/2 Warp Connect with Win-OS/2, OS/2 Warp with Win-OS/2 [archive.org]
  Moonstone - A Hard Days Knight [OldGames.sk]
  F-15 Strike Eagle III (3.5"), F-15 Strike Eagle III (5.25"), FIFA International Soccer, Might and Magic: Clouds of Xeen,
  Might and Magic: Darkside of Xeen, Panzer General, Populous 2: Trials of the Olympian Gods (3.5"),
  Populous 2: Trials of the Olympian Gods (5.25"), Robocop 3 [The Good Old Days]
  Windows NT 3.1 Workstation (3.10.511.1), Windows NT 3.1 Workstation (3.10.511.1) [3.5" floppy],
  Windows NT 3.5 Workstation (3.50.807), Windows NT 3.5 Workstation (3.50.807) [3.5" floppies],
  Windows NT 3.51 Workstation (3.51.1057.1) [WinWorld]
ibm5170_cdrom:
  IBM AttachPak for OS/2 Warp Connect, IBM DEMOpkg for OS2 - First Edition 99Q3,
  Lotus Notes Express v3.30 for OS2, Special Promotion Copy NFR, Lotus SmartSuite for OS/2 Warp 4, OS/2 Warp,
  OS/2 Warp Connect with Win-OS/2, OS/2 Warp Special CD - november 1995, OS/2 Warp with Win-OS/2, PC DOS 7 [archive.org]
  Caldera OpenDOS Machine Readable Source Kit (M.R.S) 7.01 [archive.org, Davide Cavalca]
  Windows NT 3.1 Workstation (3.10.511.1), Windows NT 3.51 Workstation (3.51.1057.1) [WinWorld]
ibm5170_hdd:
  Caldera OpenDOS 7.01, Caldera OpenDOS Lite 7.01, DR DOS 7.03, DR DOS Lite 7.03, OS/2 Warp Connect with Win-OS/2,
  OS/2 Warp with Win-OS/2 [Davide Cavalca]
neogeo: The Irritating Maze / Ultra Denryu Iraira Bou [Vas Crabb]
nes:
  10 in 1 (CTC-09), 11 in 1 (K-3046), 16 in 1 (SA005-A), 4 in 1 (TJ-03), Ai Senshi Nicol (Asia, FDS conversion, alt) [anonymous]
  Batman - The Video Game (pirate), Doki Doki Panic (Asia, FDS conversion, alt PCB),
  Exciting Soccer - Konami Cup (Asia, FDS conversion), Hikari Shinwa - Palthena no Kagami (Asia, FDS conversion),
  Lucky Rabbit (Asia, Roger Rabbit FDS conversion), Moero TwinBee - Cinnamon Hakase o Sukue! (FDS conversion) [famiac]
  Akumajou Dracula (Asia, FDS conversion) [Kevin Horton]
  GetsuFumaDen (Kaiser) [krzysiobal]
  Super Mario Bros. 2 (LF36) [krzysiobal, NewRisingSun]
  72 in 1 Cartridge Story, 90 in 1 Cartridge Story (III) [MLX]
  Elfland [NewRisingSun]
  Meikyuu Jiin Dababa (Asia, FDS conversion, alt PCB) [NewRisingSun, krzysiobal]
  80 in 1 Cartridge Story (II) [Yahweasel]
pc98: OS/2 J2.11 [huoqianyu, flyingharuka]
pdp1_ptp: DDT debugger, Munching Squares, Spacewar! [Robbbert]
rx78_cart: Rengo Kantai [Gaming Alexandria]
samcoupe_flop: Castle, Lemmings, Prince of Persia, Sophistry [World of SAM]
snes:
  Addams Family Values (prototype), Armored Police Metal Jack (USA, early prototype), Congo's Caper (prototype),
  Might and Magic II - Gates to Another World (USA, earlier prototype),
  Might and Magic II - Gates to Another World (USA, prototype), Operation Thunderbolt (prototype),
  Rock n' Roll Racing (USA, prototype, alt), Street Racer (prototype), Tom & Jerry (USA, prototype, alt),
  World Cup USA 94 (USA, prototype) [snescentral, VGHF]
  Mortal Kombat 3 (USA, final prototype) [togemet2]
sorcerer_cass: S-Word Word Processor [exidyboy]
vector06_flop: Great Battle Super Tank, Incubus, Real Player demo, T.Rex 0.5: Take One [Robbbert]
vg5k:
  21 Games Compilation, Alunissage, Blitz, DCA, Isola / Mor-Quatre, Jeu de Dames, Lode Runner, Machaon, Memory, Penalty,
  Sargon Chess, Space Invaders, Sprite Creator, Squash, Strategie-Flore / Gyracolor, Stricker, Submarine, Tetris [Robbbert]
vgmplay:
  Aero Fighters 2 (Neo Geo), Aero Fighters 3 (Neo Geo), Air Zonk (TG-16), Aoi Blink (TG-16), Dragon Egg! (TG-16),
  Final Match Tennis (TG-16), Flame Zapper Kotsujin (NEC PC-9801, OPN), Flame Zapper Kotsujin (NEC PC-9801, OPNA),
  Genji Tsuushin Agedama (TG-16), LEGO Racers (Nintendo Game Boy Color), Legend of Hero Tonma (TG-16), Mario Roulette (Arcade),
  Mario's Tennis (Nintendo Virtual Boy), Nekketsu Koukou Dodgeball Bu - PC Bangai Hen (TG-16), New Adventure Island (TG-16),
  Ninja Ryuuken Den (TG-16), Power Eleven (TG-16), Racing Damashii (TG-16), Samurai-Ghost (TG-16), Shockman (TG-16),
  Tetris Plus (Jaleco Mega System 32), Yuuyu No Quiz De Go! Go! (Taito F2 System) [vgmrips.net, Tafoid]
vsmilem_cart:
  Disney Princess - The Princess and the Frog - Tiana's Big Dream (USA), Disney Winnie the Pooh - The Honey Hunt (USA),
  Disney/Pixar Up (USA), Nickelodeon Wonder Pets! - Save the Animals! (USA), Snow Park Challenge (USA),
  Super WHY! - The Beach Day Mystery (USA), Thomas & Friends - Engines Working Together (USA), Wild Waves (USA) [skaman]
vtech2_cass: Cross Bomber, Cross Chase, Cross Horde, Cross Shoot, Cross Snake [Robbbert]
x1_flop: Dezalis [Robbbert]


Software list items promoted to working
---------------------------------------
fmtowns_cd: Lettuce Cooking - Tanoshiku Tsukureru Obentou [cyo.the.vile]
nes:
  200 in 1 - Elfland, 4 in 1 (Alt 2), 4 in 1 (Alt 3), Angry Birds 3 (Chi), Batman 4 (Batman - Return of the Joker pirate),
  Crime Busters, Exciting Basket (Asia, FDS conversion), FIFA International 2' 96 (Goal!! pirate), Fāngkuài Zǒngdòngyuán (China),
  Korean Igo (Korea), Ninja Ryukenden (China), Pizza Pop Mario (Pizza Pop pirate), Reset Based 4 in 1, Super Mario Bros. 2 (TONY-I),
  Volleyball (Asia, FDS conversion) [kmg]
next_hdd: NeXTSTEP 3.1, NeXTSTEP 3.2 [Davide Cavalca]
vector06_flop: Card Game [Robbbert]


New NOT_WORKING software list additions
---------------------------------------
c64_cass: Ace of Aces, APB (alt), Aquanaut, Asterix and the Magic Cauldron [The Ultimate Tape Archive Team, Steven Coomber]
fmtowns_cd: Fujitsu Habitat V1.1 L10 [redump.org, cyo.the.vile]
msx1_cart: Easi-Speech [hap]
nes: 4 in 1 (Mr. Mary 2), Super Mario Bros. 2 (YUNG-08), Super Mario Bros. 2 (YUNG-08, no protection) [krzysiobal, NewRisingSun]
snes: Mortal Kombat II (USA, final prototype) [togemet2]
svmu:
  5 Pin Bowling Game, Adventure VMU, Alien Fighter, Alien Shooter, Basketball, Bounce, DC Anim v2.0, DirectVMS Start Rom,
  Dream Racer, Fat Rain, Freak Skater 2, Frog In A Blender, Glucky Laby, Guess The Square, Jim Light, Jims Bowling, Jojo's Problem,
  Kill Em All, Kill Hyman 3, Lightsaber Battle, Magic 8-Ball, Metal Gear Stealth, Minesweeper, Mini Racer, Muddy Says, Paper Attack,
  Pong Beta, Puzzle, Quick Time Events, Rainbow 6, Raining Squares, Revenge, Sample, Scroll Demo, Shell Game, Simon, Sniper,
  Star Wars, Supercross VMU, Swampy, Tetris, Time Crisis, Time Shooter, Until Death, Virtual Teacher, VM-a-Sketch,
  VM-a-Sketch Beta v1.4, VMU Boxing, VMU Dice, VMU Fighter v1.4, VMU Mini Pacman, VMU Racer, VMU Vision, VMUV Player 001,
  WinVMS Rain, WinVMS Start Rom [Robbbert]


Translations added or modified
------------------------------
Portuguese (Brazil) [Felipe]


Merged pull requests
--------------------
- 8028: pce.cpp: Converted PC Engine controller ports to slot devices. [cam900]
- 8154: at.cpp, genpc.cpp, pc.cpp: Added BIOS dumps and notes for various PC motherboards. [rfka01]
- 8195: bus/nes: Added support for a couple of unlicensed Chinese cartridges. [kmg]
- 8204: bus/nes: Fixed Kaiser Metroid (FDS conversion), and promoted it to working. [kmg]
- 8209: Correctly apply -keepaspect in combination with -unevenstretchx/-unevenstretchy. [Antonio Giner]
- 8220: bus/nes: Improved support for iNES mapper 108 (DH-08, LE05, LH28, LH31, and LH54 boards). [kmg]
- 8228: twincobr.cpp: Added Sky Shark (bootleg). [jordigahan, ClawGrip]
- 8230: bus/nes: Updated a few mapper number comments. [kmg]
- 8231: ibm5170.xml: Added part IDs for floppy labels. [Davide Cavalca]
- 8232: c64_cass.xml: Added seventeen items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8233: chanbara.cpp: Swapped left and right joysticks (MT08015). [Steven Coomber]
- 8234: bus/nes: Added support for Gyruss FDS conversion. [kmg]
- 8238: bus/nes: Added support for FDS conversions on KS7010 and KS7030 boards. [kmg]
- 8243: Updated Brazilian Portuguese translation. [Felipe]
- 8245: vsmjtria.cpp: Fixed coin input polarity, improved communications, and added NVRAM clear switch. [Angelo Salese]
- 8246: galaxian.cpp: Added Space Mission (Spanish bootleg of Scramble). [Arcade Planet, Victor Fernandez (City Game), ClawGrip]
- 8247: bus/nes: Added support for Palthena no Kagami and Lucky Rabbit FDS conversions, and fixed fuunsfds backgrounds. [kmg]
- 8248: snes.xml: Replaced bad dump of mk2u, and removed duplicate mk3p1. [kmg]
- 8250: nes.xml: Hooked up batman4, fifa96 and pizzamar VRC4 pirate cartridges properly. [kmg]
- 8251: lwriter.cpp: Hooked up DIP switches, and changed default setting to “Serial Batch Mode 9600 Baud”. [Jeff Muizelaar]
- 8252: Removed device tag lookups from various devices in favour of configurable object finders. [Miodrag Milanović]
- 8253: cpu/nanoprocessor: Improved emulation based on results of hardware reverse-engineering. [F.Ulivi]
- 8254: lwriter.cpp Swapped SCC addresses, so interrupts match I/O addresses. [Jeff Muizelaar]
- 8255: emu/emumem*: Removed Endianness template parameter from handler_entry_read, handler_entry_write and related classes. [AJR]
- 8256: lwriter.cpp: Added a minimal stub simulation of the print controller. [Jeff Muizelaar]
- 8257: dgpix.cpp: Explicitly listed four known undumped games in comment. [HeroponRikiBestest]
- 8258: lwriter.cpp: Stubbed out EEPROM with fixed values to get the machine to boot to the PostScript Executive. [Jeff Muizelaar]
- 8259: cave.cpp: Fixed address map for Pac-Carnival, and promoted machine to working. [Devin Acker]
- 8260: 32x.xml: Added Motherbase (Euro). [Xenon, kmg]
- 8261: 32x.xml: Removed comment about Motherbase (zaxxon2k) being undumped. [kmg]
- 8262: twincobr.cpp: Fixed skysharkb ROM labels (MT08021). [ClawGrip]
- 8263: cave.cpp: Added Bet 12 button to Pac-Carnival. [Devin Acker]
- 8264: bus/a2bus: Added support for ///SHH Systeme LANceGS Ethernet card. [Kelvin Sherlock]
- 8266: bus/nes: Fixed graphical errors in mc_s42 and mc_76. [kmg]
- 8267: Rewrote 3dfx Voodoo Graphics emulation, and removed legacy polygon graphics helpers. [Aaron Giles]
- 8268: namcos2_sprite.cpp: Fixed X coordinate mask. [David Haywood]
- 8269: chanbara.cpp: Draw low-priority sprites. [David Haywood]
- 8270: bowltry.cpp: Expanded notes, and added stub video register handlers. [Angelo Salese]
- 8271: nes.xml: Fixed angrybr3 and plantzom Chinese pirate cartridges. [kmg]
- 8272: chexx.cpp: Added two Olimpic Hockey (EM Bubble Hockey) sets. [Museo del Recreativo, Recreativas.org, ClawGrip]
- 8275: batman.cpp: Set horizontal layer offsets to match behaviour of real hardware. [David Haywood]
- 8276: chexx.cpp: Corrected ROM checksums for olihockeya. [ClawGrip]
- 8277: bus/nes: Added support for Kaiser KS7016B and KS7021A bootlegs, and fixed KS7016 bootlegs. [kmg]
- 8278: machine/megacd.cpp: Fixed address calculation for main CPU access to PRGRAM. [Damian Rogers]
- 8279: acrnsys.cpp: Changed BREAK key input type to avoid initially disabling the keyboard device by default. [Steven Coomber]
- 8281: Fixed support for 12-bit mapper numbers in NES 2.0 loader. [kmg]
- 8282: c64_cass.xml: Added thirty items. [The Ultimate Tape Archive Team, Steven Coomber]
- 8283: fmtowns_flop_*.xml: Added thirteen items, and replaced three items with better dumps. [cyo.the.vile, wiggy2k, r09]
- 8284: gameboy.xml, gbcolor.xml: Fixed some parent/clone relationships, and improved some short names. [kmg]
- 8286: cpu/spc700: Removed obsolete workaround for targets with 16-bit char types. [David Viens]
- 8286: chexx.cpp: Dumped sound ROMs for Olimpic Hockey (EM Bubble Hockey) games. [Museo del Recreativo, Recreativas.org, ClawGrip]
- 8287: cpu/m68000: Implemented FATAN instruction using Bochs SoftFPU x87 FPATAN code. [Calvin Buckley]
- 8288: vsmilem_cart.xml: Added eight items. [skaman, ClawGrip]
- 8289: hh_sm510.cpp: Corrected serial ID for gnw_manholeg in comment. [algestam]
- 8290: fmtowns_cd.xml: Addded 25 items, replaced 12 items with better dumps, and added better floppy dumps. [r09]
- 8292: bus/pce_ctrl/joypad2.cpp: Fixed pin name comment. [cam900]
- 8293: apple2_flop_*.xml, apple2gs_flop_*.xml: Added latest original floppy dumps and crack. [4am, san inc., Firehawke]
- 8294: megasys1.cpp: Corrected type A main CPU ROM region size and added audio CPU RAM mirroring. [hammy, Ivan Vangelista]
- 8295: namcos2.cpp: Enabled C355 sprite buffering for Suzuka 8 Hours games (fixes flickering in suzuk8h2). [David Haywood]
- 8296: c64_cass.xml: Improved description for 720. [Steven Coomber]
- 8297: discoboy.cpp: Fixed discoboyp tile banking; konamigx.cpp: Added default EEPROM content for mtwinbee. [David Haywood]
- 8298: Allow controller configuration files to configure specific fields and updated documentation. [Vas Crabb]
- 8299: video/namco_c355spr.cpp: Fixed sprite attribute table index mask (fixes missing sprites in finalapr). [Ryan Holtz]
- 8301: nes.xml: Added some Super Mario Bros. 2 bootlegs and FDS conversion bootlegs. [famiac, krzysiobal, NewRisingSun, kmg]
- 8302: video/namco_c355spr.cpp: Adjusted attribute table index mask to fix vshoot. [Ryan Holtz]
- 8305: video/namco_c355spr.cpp: Added raster interrupt timing kludge, and fixed some sprite positions. [David Haywood, Ryan Holtz]
- 8307: pc98.xml: Added OS/2 J2.11 [huoqianyu, flyingharuka, r09]
- 8308: bus/nes: Improved emulation of Super Chaoji Sandai 3. [kmg]
- 8310: samcoupe_flop.xml: Added four items. [World of SAM, ArcadeShadow]
- 8312: saturn.xml: Improved metadata for several items. [ArcadeShadow]
- 8314: namco_c355spr.cpp: Interpret Y displacement as sign/magnitude (fixes missing graphics in Final Lap R). [David Haywood]
- 8315: lwriter.cpp: Made writes to 0x600000-0x7fffff perform bitwise OR with contents of RAM (GitHub #8309). [Jeff Muizelaar]
- 8316: bus/nes: Added support for a Batman bootleg. [kmg]
- 8317: video/upd7220.cpp: Fixed pattern buffer start offset for GCHRD command (used by mfbasic.com on QX-10). [Brian Johnson]
- 8318: mcr.cpp: Added comments for dates seen on tabberb EPROM labels. [tacotown]
- 8319: qx10.cpp: Fixed video RAM address calculation for color mode. [Brian Johnson]
- 8320: bus/nes: Added support for an Ai Senshi Nicol FDS conversion bootleg. [kmg]
- 8332: bus/nes: Explicitly release interrupt line for Kaiser KS7017 cartridges (almanfds and similar). [kmg]
- 8334: bus/nes: Added support for a Moero TwinBee FDS conversion bootleg. [famiac, kmg]
- 8335: snes.xml: Added twelve recently-dumped prototypes. [snescentral, VGHF, togemet2, kmg]
- 8336: ibm5170.xml: Added several OpenDOS, DR DOS, OS/2, and Windows NT distributions. [archive.org, WinWorld, Davide Cavalca]
- 8337: ibm5170_cdrom.xml: Added twelve items. [archive.org, WinWorld, Davide Cavalca]
- 8338: ibm5170_hdd.xml: Added pre-installed OpenDOS, DR DOS and OS/2 Warp hard disk images. [Davide Cavalca]
- 8339: next_hdd.xml: Promoted NeXTSTEP 3.1 and NeXTSTEP 3.2 to working as they now complete booting. [Davide Cavalca]
- 8341: apple2_flop_orig.xml: Added latest original software dumps. [4am, Firehawke]
- 8342: ibm5170.xml: Added ten items. [The Good Old Days, OldGames.sk, ArcadeShadow]
- 8344: bus/nes: Added support for four pirate multi-game cartridges. [kmg]
- 8345: spectrum_cass.xml: Cleaned up metadata for many entries. [spectrumcomputing.co.uk, worldofspectrum.org, ArcadeShadow]
- 8347: nes.xml: Hooked up two pirate multi-game cartridges to existing emulation. [kmg]
- 8348: ibm5150.xml: Added two versions of Crime Wave. [The Good Old Days, ArcadeShadow]
- 8349: hh_sm510.cpp: Added Spider (Tronica) (Space Mission with different artwork). [algestam]
- 8353: bus/nes: Added support for Cartridge Story multi-game cartridges. [MLX, Yahweasel, kmg]


Source Changes
--------------
-ibm5170: add some missing labels [Davide Cavalca]
 * Also update the labels for the pcdos61 sets to be more accurate

-vsmjtria.cpp: Added coin inputs, and cleaned up code a little. [Vas Crabb]

-chanbara.cpp: swapped left and right joysticks (MT# 08015) (#8233) [Steven Coomber]

-Re-added unique input for bigtwinb and fixes MT#8016 [Scott Stone]

-bus/nes: start updating mapper # comments (#8230) [0kmg]

-Fix comment image hashes to match latest offering (gyruss diagnostic rom) [Scott Stone]

New NOT_WORKING software list additions
---------------------------------------
svmu: [Robbbert]
5 Pin Bowling Game [Robbbert]
Adventure VMU [Robbbert]
Alien Fighter [Robbbert]
Alien Shooter [Robbbert]
Basketball [Robbbert]
Bounce [Robbbert]
DC Anim v2.0 [Robbbert]
DirectVMS Start Rom [Robbbert]
Dream Racer [Robbbert]
Fat Rain [Robbbert]
Freak Skater 2 [Robbbert]
Frog In A Blender [Robbbert]
Glucky Laby [Robbbert]
Guess The Square [Robbbert]
Jim Light [Robbbert]
Jims Bowling [Robbbert]
Jojo's Problem [Robbbert]
Kill Em All [Robbbert]
Kill Hyman 3 [Robbbert]
Lightsaber Battle [Robbbert]
Magic 8-Ball [Robbbert]
Metal Gear Stealth [Robbbert]
Minesweeper [Robbbert]
Mini Racer [Robbbert]
Muddy Says [Robbbert]
Paper Attack [Robbbert]
Pong Beta [Robbbert]
Puzzle [Robbbert]
Quick Time Events [Robbbert]
Rainbow 6 [Robbbert]
Raining Squares [Robbbert]
Revenge [Robbbert]
Sample [Robbbert]
Scroll Demo [Robbbert]
Shell Game [Robbbert]
Simon [Robbbert]
Sniper [Robbbert]
Star Wars [Robbbert]
Supercross VMU [Robbbert]
Swampy [Robbbert]
Tetris [Robbbert]
Time Crisis [Robbbert]
Time Shooter [Robbbert]
Until Death [Robbbert]
Virtual Teacher [Robbbert]
VM-a-Sketch [Robbbert]
VM-a-Sketch Beta v1.4 [Robbbert]
VMU Boxing [Robbbert]
VMU Dice [Robbbert]
VMU Fighter v1.4 [Robbbert]
VMU Mini Pacman [Robbbert]
VMU Racer [Robbbert]
VMU Vision [Robbbert]
VMUV Player 001 [Robbbert]
WinVMS Rain [Robbbert]
WinVMS Start Rom  [robbbert]

-svmu.xml: Added general usage comment. [Robbbert]

-sv8000.xml: used title case, added publisher [Robbbert]

-goldstar.cpp: dumped PROMs and PLDs for pkrmast and clone [Ioannis Bampoulas]

-x68k_flop: mark last tempest bad and use cracked images [cracyc]

-x68k_flop: try to repair a bit more [cracyc]

-More commented ROM_LOAD work.  Unknown hashes listed as NO_DUMP.  Some entries taken out entirely [Scott Stone]

New working software list additions
-----------------------------------
vector06_flop: [Robbbert]
Great Battle Super Tank [Robbbert]
Incubus [Robbbert]
Real Player demo [Robbbert]
T.Rex 0.5: Take One [Robbbert]

Software list items promoted to working
---------------------------------------
vector06_flop: Card Game [Robbbert]

-bus/nes: add support for Gyruss FDS conversion (#8234) [0kmg]

New machines marked as NOT_WORKING
----------------------------------
TV Phone Doraemon [Phil Bennett]

New machines marked as NOT_WORKING
----------------------------------
Mario Sports Day [Phil Bennett, Brian Troha, The Dumping Union]

-assorted comment ROM_LOAD fixes and updates [Scott Stone]

New clones marked as NOT_WORKING
--------------------------------
Nandemo Seal Iinkai (Astro Boy ver. 1.1) [twistedsymphony]
Nandemo Seal Iinkai (alternate ver 1.0) [twistedsymphony]

-banprestoms.cpp: initialized the Oki mask ROM so that MAME can make correct use of it [Ivan Vangelista]

-banprestoms.cpp: added preliminary oki banking [Ivan Vangelista]

-banprestoms.cpp: corrected a couple of inputs for marioun [Ivan Vangelista]

-banprestoms.cpp: video fixes (sprite function, tilemap offsets, visible area) [David Haywood]

-Add working ADPCM sound to EFO ZSU and Magnet System sound boards [AJR]

-banprestoms.cpp: Use Japanese game titles [Justin Kerk]

-bus/nes: add support for 2 more FDS conversions (#8238) [0kmg]
 * add KS7010 PCB device unique to akumafds
 * add KS7030 PCB device unique to dokidokia
 * do some sorting and tidying of Kaiser board tags

New working software list additions
-----------------------------------
Akumajou Dracula (Asia, FDS conversion) [Kevtris]
Doki Doki Panic (Asia, FDS conversion, alt PCB) [famiac]

-New WORKING clone (#8228) [ClawGrip]

New WORKING clone
-----------------
Sky Shark (bootleg) [jordigahan]

-expro02.cpp: corrected ROM labels for newfanta and verified a BTANB [Andy Welburn]

-x68k: slow down dma channel 2 [cracyc]

-roland_mt32.cpp: Replace a bad dump of the CM-32L PCM ROM with a good dump, fix the wrong rom load order for the separate CM-32L
 PCM ROMs and the separate MT-32 PCM ROMs, and add some ROM notes. [Lord Nightmare]

New working machines
--------------------
Run Away (Japan) [Dillweed]

New working software list additions
-----------------------------------
vg5k: Alunissage [Robbbert]
Blitz [Robbbert]
21 Games Compilation [Robbbert]
DCA [Robbbert]
Jeu de Dames [Robbbert]
Lode Runner [Robbbert]
Machaon [Robbbert]
Memory [Robbbert]
Penalty [Robbbert]
Space Invaders [Robbbert]
Sprite Creator [Robbbert]
Squash [Robbbert]
Stricker [Robbbert]
Submarine [Robbbert]
Isola / Mor-Quatre [Robbbert]
Strategic-Flore / Gyracolor [Robbbert]
Tetris [Robbbert]
Sargon Chess [Robbbert]

-k056230: clear network interrupt properly (fixes screen flashing in zr107) [Ville Linde]

-turbo.cpp: subclasses, input / output finders, save state preparation [Ivan Vangelista]

New working software list additions
-----------------------------------
vtech2_cass: Cross Bomber, Cross Horde, Cross Snake [Robbbert]

New working software list additions
-----------------------------------
vtech2_cass: Cross Chase, Cross Shoot [Robbbert]

-dai3wksi.cpp: corrected runaways release year [Ivan Vangelista]

New working software list additions
-----------------------------------
rx78_cart: Rengo Kantai [Gaming Alexandria]

-dai3wksi.cpp: Correct Runaway title. [Vas Crabb]
 * The advertisements prominently show “RUNAWAY” in uppercase Latin script with no space.  Additionally, the title is rendered as
    “ランナウェイ” in Katakana.  Splitting into on, this is “ra-n-na-we-i” - note the “na”, indicating there’s no break between the
    consonant and vowel.  If it was supposed to be two words, it would more likely be rendered “ランアウェイ” (“ra-n-a-we-i”).

New working software list additions
-----------------------------------
x1_flop: Dezalis [Robbbert]

-xerox820: Marked bigboard and mk82 as MNW - haven't been able to boot a floppy for years. [Robbbert]

-Correctly apply -keepaspect with -unevenstretchx/y. (#8209) [antonioginer]
 * Correctly apply -keepaspect with -unevenstretchx/y. Initialize window at the correct size when -intscalex/y is used.
 * Get correct window size upon maximizing/minimizing with integer scaling.

-z1013: give time for machine to start before loading snapshot. [Robbbert]

-Updated Brazilian Portuguese localisation. (#8243) [Felipe]

-heromem.cpp: some basic work to make it display something [Ivan Vangelista]

-kabuki.cpp: updated note now that dokaben2 has been dumped [Ivan Vangelista]

New working clones
------------------
Elite A/S Challenger (original program) [Berger]

-zr107: fixed tilemaps [Ville Linde]

-mt420, mt5510: Split to separate drivers [AJR]

-heromem.cpp: fixed error in GFX ROM loading [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
Same Same Panic [Phil Bennett]

-dangbar.cpp, namcos2.cpp: C121 custom isn't a rebadged YM2151 [Ivan Vangelista]

-mt420: Add VRAM and preliminary character drawing [AJR]

-runaway: game title clashes with runaways set, put "Atari" in title [hap]

-heromem, sbmjb: Map I/O expanders (and some RAM for sbmjb) [AJR]

-zr107: bump sync even higher [Ville Linde]

-k001005: implemented missing texture+gouraud polygon type [Ville Linde]

-nes.xml: hook pirate VRC4 carts up properly [0kmg]

Software list items promoted to working
---------------------------------------
Batman 4 (Batman - Return of the Joker pirate) [0kmg]
FIFA International 2' 96 (Goal!! pirate) [0kmg]
Pizza Pop Mario (Pizza Pop pirate) [0kmg]

-Add a differentiator bandpass filter primitive to flt_biquad.cpp. [Lord Nightmare]

-z1013: fixed inputs for games; added sound via cassette output. [Robbbert]

-filling out missing hashes for commented ROM_LOADs when known (part 1) [Scott Stone]

-filling out missing hashes for commented ROM_LOADs when known (part 2) [Scott Stone]

-ymfm: Save busy end time. Fixes MT08018 [Aaron Giles]

-zr107: fix lockup issues [Ville Linde]

-ymfm: Remove dead code in MAME interface. Remove ay8910.h include from ymfm_mame.h and add it to places that still need it.
 [Aaron Giles]

-braiplus: Try to identify a few things [AJR]

-lwriter.cpp: Implement connection type DIP switch. (#8251) [Jeff Muizelaar]

-Remove some tag lookups by name (#8252) [Miodrag Milanović]

-lwriter.cpp: Fix swapped SCC a/b addresses. (#8254) [Jeff Muizelaar]

-turbo: Fix major bug in d66c07bde03c4d834a9e92ea7571c2890bf19647 [AJR]

-softlist_dev.cpp: Fix verbose printf [AJR]

-cpu/nanoprocessor: Improvements based on chip reverse-engineering. (#8253) [fulivi]

-lwriter.cpp: Stub out a minimal print controller (#8256) [Jeff Muizelaar]

New clones marked as NOT_WORKING
--------------------------------
Phantom Pays Classic (0101003V, NSW/ACT) [Dam0, Heihachi_73]
Rainbow Warriors (0101132V, NSW/ACT) [Dam0, Heihachi_73]

-aristmk5.cpp: updated comments and added some ROM labels [Heihachi_73]

-sbmjb.cpp: tentatively hooked up most devices. Attract mode runs fine but need hopper emulation before it can be playable
 [Ivan Vangelista]

-flt_rc.cpp: Rename the filter types to be more consistent with regards to behavior: old LOWPASS_2C is now LOWPASS (to match the
 behavior of HIGHPASS); old LOWPASS is now LOWPASS_3R. [Lord Nightmare]

-lwriter.cpp: Stub out a bit of the eeprom, gets the PostScript executive to boot (#8258) [Jeff Muizelaar]

-cave.cpp: fix address map for paccarn (#8259) [Devin Acker]

Games promoted to working
-------------------------
Pac-Carnival [Devin Acker]

-32x.xml: add Euro parent set for zaxxon2k (#8260) [0kmg]

New working software list additions
-----------------------------------
Motherbase (Euro) [Xenon]

-skysharkb: fix incorrect ROM names (MAMETesters #8021) [ClawGrip]

-32x.xml: remove comment about Motherbase (zaxxon2k) being undumped (#8261) [0kmg]

-zr107.cpp: fixed ROM loading for midnruna2, game now boots [Guru]

-dfjail: Support the DAC samples. [R. Belmont]

-dfjail: better balance, don't mute DAC when NMI disabled, speed up Z80 so it doesn't bog down [R. Belmont]

-neogeo.xml, neogeo.cpp: fixed MT08027 [Ivan Vangelista]

-cosmic.cpp: fixed MT08023 [Ivan Vangelista]

-namcos2_sprite.cpp - use extra bit on x coordinate, prevents large oversized bad sprites in finallap2/3 and suzuka 8 hours
 [DavidHaywood]

New clones marked as NOT_WORKING
--------------------------------
Silent Scope (ver UAD, ver 1.33, GQ871 video board) [Guru]
Silent Scope 2 (ver UAB, ver 1.01, GN715 video board) [Guru]
Silent Scope 2 (ver UAC, ver 1.02, GN715 video board) [Guru]

-segas16b.cpp: verified dips against manual, removed MACHINE_IMPERFECT_SOUND flag [Ivan Vangelista]

-dectalk.cpp: Remove an unnecessary trampoline function. [Lord Nightmare]

-bowltry.cpp: extensive QA notes, make it to populate display list for the science (#8270) [Angelo Salese]

-bus/nes: Improved iNES mapper 108 support. (#8220) [0kmg]
 * Refactored mapper 108 into 4 sibling devices and added hacks for detecting variants in loose software to the iNES loading code.

-New NOT_WORKING machine (#8272) [ClawGrip]

New NOT_WORKING machine
-----------------------
Olimpic Hockey (EM Bubble Hockey, set 1) [Museo del Recreativo, Recreativas.org]

New NOT_WORKING clone
---------------------
Olimpic Hockey (EM Bubble Hockey, set 2) [Museo del Recreativo, Recreativas.org]

-Add 'olihockey' and 'olihockeya' [ClawGrip]

-New WORKING clones (#8246) [ClawGrip]

New WORKING clones
------------------
Space Mission (SegaSA / Sonic, Spanish bootleg of Scramble) [Arcade Planet, Victor Fernandez (City Game), ClawGrip]

-Add 'spcmission' [ClawGrip]

-rx78_cart: added better rom names [Robbbert]

-m62.cpp: Use raw parameters for screen [AJR]

-mt5510: Add ROM banking [AJR]

-rx78: keyboard / joystick cleanup [Robbbert]

-nes.xml: Fixed a couple more Chinese pirate carts. (#8271) [0kmg]
 * Correctly split angrybr3 into 32K PRG and 64K CHR.
 * Fixed Plants vs Zombies garbled title screen.

Software list items promoted to working
---------------------------------------
Angry Birds 3 (Chi) [0kmg]

-video/voodoo.cpp: Major rewrite: (#8267) [Aaron Giles]
 * Changed to use modern poly.h instead of polylgcy.h.
 * Moved helper classes into separate voodoo namespace.
 * Derived device classes from video_device_interface.
 * Split classes so that later versions derive from earlier versions.
 * Created device maps to be directly included.
 * Redesigned register mapping to use helper classes and delegates.
 * Rewrote rasterizers to use C++ templates instead of macros.
 * Added logic to compute equations for color/texture combine units.
 * Added special generic identity-texel rasterizer cases.
 * Removed pipeline stalls on texture and palette changes.
 * Removed pipeline stalls on most all parameter changes.
 * Generally re-thought and cleaned up logic throughout.
 * Parameterized cycle stealing on status reads; updated all existing voodoo consumers to configure it as it was before.
   - vidoe/poly.h: Various improvements:
 * Exposed poly_array class for broader use.
 * Changed poly_array to intelligently determine maximum size.
 * Added logic to track multiple "last" instances in poly_array.
 * Extended logic to support up to 16m work items.
 * Removed MaxPolys parameter from poly_manager template.
 * Added Flags parameter to poly_manager template.
 * Added POLY_FLAG_NO_CLIPPING flag to remove clipping code when not needed.
 * poly_manager now supports a MaxParams value of 0.
 * Made paramcount a template parameter for render_* functions.
 * Added reset_after_wait() method to be overridden by derived classes.
 * Switched to using std:: helpers instead of internal methods.
 * Removed useless dependency on screen_device.
 * TRACK_POLY_WAITS now produces more complete statistics.
   - video/polylgcy.cpp: Removed legacy implementation of polygon renderer.
   - machine/gt64xxx.cpp: Prevent lockups by disallowing 0-duration timers.
   - machine/pci.cpp: Added support for adding subdevice maps directly.
   - emu/video/rgbsse.h: Improved min/max for SSE4.1+ and scale+clamp operations for all.
   - emu/vidoe/rgbutil.h: Made palette expansion constexpr and added argbexpand function.
   - osd/osdcore.cpp: Changed osd_ticks to use QueryPerformanceCounter on Windows since the mingw std::chrono::high_resolution_clock
      is anything but.

-bus/a2bus: Added //SHH SYSTEME LANceGS Card. (#8264) [ksherlock]

-machine/smc91c9x.cpp adjustments: [ksherlock]
 * Reset should disable promiscuous mode.
 * RCR - handle promiscuous changes, adjust soft reset handling.
 * EPH_STATUS should be LINK_OK by default (previous code wouldn't set LINK_OK unless RX_EN is set but LANceGS won't set RX_EN
    unless LINK_OK is set).
 * B0_BANK bits 4-8 are unspecified in the documentation but LANceGS expects a 3 (used in Card detection logic).
 * MIR values depend on device type and resets when the mmu resets.
 * Reading/writing the data register needs to be aware of 8-bit I/O.
 * Calculate FCS.
 * Removed WMS OUI filtering hack.

-emu/emumem*: Removed endianness template parameter from handler_entry_read, handler_entry_write and closely related classes.
 (#8255) [ajrhacker]
 * This appears to substantially reduce compilation time and binary size without too much impact on critical paths.  The only
    critical-path parts really touched by this are probably handler_entry_read_units<Width, AddrShift, Endian>::read and
    handler_entry_write_units<Width, AddrShift, Endian>::write, which no longer need a branch on descriptor endianness for the
    downcast.  The other instances of where the endianness now needs to be fetched from the address space are practically all in
    constructors, which probably don't get called too often except in drivers where the memory map is regularly rewritten (e.g.
    segas16b.cpp); even then the performance impact probably isn't huge.

-bus/nes: Fixed broken graphics for mapper 226 (two pirate multicarts). (#8266) [0kmg]
 * Fixes the menu in mc_s42 so you can actually tell what you are selecting.
 * Fixes mc_76 so the screen refreshes when returning to main menu from submenus.
 * Fixes graphics glitches too numerous to list (anything with scrolling was heavily glitched to unplayable).

-bus/nes: Fixed Kaiser Metroid, promoted games to working. (#8204) [0kmg]
 * metroidk: Corrected fixed bank address that caused game to crash after title screen.
 * metroidk: Corrected the nametable page mis-ordering that then becomes apparent when game is running.
 * crimebst uses standard zapper on ctrl2 - works fine.

Software list items promoted to working
---------------------------------------
Crime Busters [0kmg]
Metroid - Jin Ji Zhi Ling (Asia, FDS conversion) [0kmg]

-bus/nes: Added support for two more FDS bootlegs, fixed another. (#8247) [0kmg]
 * Added boards for Palthena no Kagami (Kid Icarus) and Lucky Rabbit, (Roger Rabbit) FDS bootlegs.
 * Fixed background tiles in fuunsfds, it has hardwired vertical mirroring.

-nes.xml: Marked tobidfds as not supported - it crashes on start. [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Hikari Shinwa - Palthena no Kagami (Asia, FDS conversion) [famiac]
Lucky Rabbit (Asia, Roger Rabbit FDS conversion) [famiac]

-mb86233: Fix flags behaviour on -0, seems to fix virtua fighter and motorraid [Ryan Holtz]

-model1: re-add vf note [hap]

-voodoo: fix compile error [hap]

-Disable another MSVC warning that is known to be noisy (and which showed up with the recent setjmp workaround). [Aaron Giles]

-chexx.cpp: Fix 'olihockeya' ROM hashes [ClawGrip]

-mb86233: refine the patch to only do fp-type flag setting on fp operations [Ryan Holtz]

-voodoo: Restore some cycle stealing on vretrace to allow sfrush to boot. [Aaron Giles]

-Read/write handlers for PRGRAM access from Main side was using u16 for the calculated offset, causing an overflow and constantly
 pointing to bank 0. Changed to u32, observed expected results [Damian R]

-cham24.cpp: added placeholder for missing MCU dump [Ivan Vangelista]

-xyonix.cpp: removed tagmap lookups, used logmacro [Ivan Vangelista]

-dgpix.cpp: added list of undumped games (#8257) [HeroponRikiBestest]

-acrnsys.cpp: change keyboard default to the real keyboard (MT 08020) (#8279) [Steven Coomber]

-magic10.cpp: split in subclasses, used arrays [Ivan Vangelista]

-magic10.cpp: added ticket and hopper devices [Grull Osgo]

-Fixed a few doco strings. [Robbbert]

-batman.cpp - offset layers to align with real PCB videos (#8275) [David Haywood]

-chanbara.cpp - render low priority sprites (#8269) [David Haywood]

-voodoo: Increase vretrace cycles to 2 so mace will boot again. Add missing rasterizers for later gtfore games. Remove outdated
 comments. [Aaron Giles]

-apple2e.cpp: enable 80-column display on page 2 [Peter Ferrie]

-voodoo: Fix LOD calculations. Improve LOD calculation accuracy. Remove stw_helper as any benefit it provides is within the noise.
 [Aaron Giles]

-Added BIOS versions and documentation for various motherboards located in pc, at and genpc.cpp (#8154) [rfka01]

New machines marked as NOT_WORKING
----------------------------------
486MMBO4088 (486SLC) [alvaro84, rfka01]
80386SX-VH-COM [Predator99, rfka01]
A-Trend ATC-1425B [Windows9566, rfka01]
ABIT AB-AX4 [fool, rfka01]
ADI F4DXL-UC4 [Predator99, rfka01]
ASI 100B0, aka "HAM 12 TI 286 Motherboard ZERO WAIT" [CMB75, rfka01]
ASUS ISA-486 - Rev. 1.4 [TheMobRules, rfka01]
ASUS ISA-486SIO rev. 1.2 [BreakPoint, rfka01]
Abit AB-AV4 (aka VL-BUS 486) [HanJammer, rfka01]
Addtech Research 4GLX3 Green-B 4GPV3.1 aka VisionEX 4GPV3 [Horun, rfka01]
Advanced Logic Research PWB 7270 REV E [lgj1107, rfka01]
Amstrad PC9486 [Zalog, rfka01]
BIOSTAR - MB-1433/50 AEA-P - V:1 [Thermalwrong, rfka01]
CACHING TECH CORPORATION C386MX [p1p1p1, rfka01]
CAF Prolite 286/16 [jensma, rfka01]
Chaintech 4SPI [AskNotes, rfka01]
Commodore 386SX-25 [sdose, rfka01]
Compaq Deskpro [jafir, rfka01]
DTK MBA-032Q TK83305-4N-D-03 [SSTV2, rfka01]
Diamond Flower International 386SX-16/20CN Rev 1.0 [Vipersan, rfka01]
ECS (Elitegroup) 386A [TheMobRules, rfka01]
ECS 8517 v3.3 (386sx) [Horun, rfka01]
ELT-P9 [Predator99, rfka01]
FIC 386-SC-HG [Predator99, rfka01]
FIC 486-GVT [zoinknoise, rfka01]
FIC 486-VC-HD [Darkscop, rfka01]
FIC ELI6-II (from Unisys ELI 46665 Desktop) [Horun, rfka01]
Gemlight GMB-486SG rev 2.2 [Deksor, rfka01]
Gemlight GMB-486UNP v2.1 [Deksor, rfka01]
ICL DRS M40 (286) [Deksor, rfka01]
ILON USA, INC. M-396B (386sx) [BreakPoint, rfka01]
Jamicon KM-S4-1 VER 1.1 [BreakPoint, rfka01]
Jetway J-403TG [BreakPoint, computerguy08, theoryboy, rfka01]
Lucky Star UCM-486V30 (aka SIS486 3-VLBUS) [BreakPoint, rfka01]
MSI MS-4132 G VER:1 [TheMobRules, rfka01]
Micronics JX30GP [SSTV2, rfka01]
Mitac MBA-029 [Madao, rfka01]
Mitac PWA-IH4077C [Horun, rfka01]
Mitac PWA-IH4077D [8bitbubsy, rfka01]
Morse KP920121523 V2.20 (386) [Predator99, rfka01]
Morse M3 V3.00 [Am386DX-40, rfka01]
NEC APC IV [jafir, dhau, rfka01]
Octek Fox M 286 [HanJammer, rfka01]
PC-Chips M209 motherboard (286) [Am386DX-40, rfka01]
PC-Chips M317 motherboard (386) [Predator99, rfka01]
Packard Bell PCB-303 Rev.01 [Predator99, rfka01]
Peacock S-286 [Predator99, rfka01]
Peacock P386DX-40 [Predator99, rfka01]
Philips P3239 [Predator99, rfka01]
PowerTech MB457 aka Pine PT-2068.1 [BreakPoint, rfka01]
Prolink P386SX-25PW VER:2.00 [Eep386, rfka01]
Quadtel QTC-SXM KT X20T02/HI Rev.3 [Thermalwrong, rfka01]
SIIG MiniSys 2000 [zoinknoise, rfka01]
SOYO 486 VESA 025D2 [BreakPoint, rfka01]
SOYO Baby AT 386 [Aerion, rfka01]
Siemens PCD-2M [Predator99, rfka01]
Silicon Valley Computer, Inc. 486WB6A3.B1 [zero01101, rfka01 [rfka01]
Soyo 025K2 [Ph@ntom-X, rfka01]
TMC PAT48AV 1.4 [Madao, rfka01]
TMC PAT48PG4-V1.20 [HanJammer, rfka01]
Toshiba T3200SXC [adalbert, rfka01]
Twinhead Netstation PC [HanJammer, rfka01]
Wearnes CL286-12/16S (CL286-12S and CL286-16S) [HanJammer, rfka01]
ZEOS 386 SX-16 [Horun, rfka01]

-Added AT046DX3-B2.1(PQFP) BIOS version [lgj1107, rfka01] Added Amptron DX9200 BIOS version to the pccm915i driver [Horun, rfka01]
 Added BIOS for Peacock 4386-VCHD [Predator99, rfka01] Added BIOS version 4.26GN2A to the ficvipio driver [AskNotes, rfka01] Added
 BIOS version MB-4DUV/UVC VER 3.1 to the md4duvc driver [waterbeesje, rfka01] Added BIOS version MR BIOS V1.44 to the um82c481af
 driver [alvaro84, rfka01] Added BIOS version Tomato 4DPS v1.6 to the zito4dps driver [omarsis, rfka01] Added BIOS version UNIC2
 94V-0 to the at486 driver [Distortions, rfka01] Added BIOS version for C3404 Rev:B to the alim1419 driver [Horun, rfka01] Added
 BIOS version for the FIC 386SC REV A2 MBZ86418 [Horun, rfka01] Added BIOS version to the abax4 driver [Predator99, rfka01] Added
 BIOS version to the abpi4 driver [BreakPoint, rfka01] Added BIOS version to the fic486kvd driver [Predator99, rfka01] Added BIOS
 version to the ht12a driver [zoinknoise, rfka01] Added BIOS version to the op82c392 driver [lgj1107, rfka01] Added BIOS version to
 the um8498f driver [Deunan, rfka01] Added BIOS version to the zi4dvs driver [Predator99, rfka01] Added BIOS version to the zito4dps
 driver [BreakPoint, rfka01] Added BIOS version vBS1.10H UM8810 ECS (Highscreen boot logo) to the um8810paio driver [SSTV2, rfka01]
 Added BIOS versions to the at486 driver [lgj1107, rfka01] Added BIOS versions to the suntac6 driver [Predator99, rfka01] Added
 Digicom DIGIS 286S Turbo8/10MHz BIOS [Predator99, rfka01] Added ELITEGROUP COMPUTER SYSTEMS, INC. NEATSX Rev 1.0 BIOS [jensma,
 rfka01] Added H286-C3 158 BIOS [weedeewee, rfka01] Added PCChips M321 Rev.2.7 BIOS version [alvaro84, rfka01] Added PLATO
 TECHNOLOGY CO. 386 motherboard BIOS [Predator99, rfka01] Added V20-BIOS Version 3.65 (C) Peter Köhlmann 1987 [Predator99, rfka01]
 Added VIP M X M/10 BIOS [Predator99, rfka01] Added generic AMI XT ROM BIOS [PCem, rfka01]

-voodoo: Improve pixel pipeline throughput for LFB writes. Helps gtfore and related games. [Aaron Giles]

-poly: Early out of waits if no outstanding work. [Aaron Giles]

New working clones
------------------
Magical Twin Bee (ver EAA) [Phil Bennett]

-poly.h: Fix DEBUG=1 builds [AJR]

-MAKE_INT_8 fails on GCC/ARM (#8285) [David Viens]
 * spc700.cpp: Use int8_t instead of old MAKE_INT_8 macro

-sym1: added cassette interface [Robbbert]

-chexx.cpp: Dumped "Olimpic Hockey" samples [Museo del Recreativo, Recreativas.org]
 * Verified the dumps dumping three different PCBs. The sampes are the same for both sets.

-gnw_manholeg: fix game serial id in docs (nw) [algestam]

-c64_cass: 17 new dumps (#8232) [Steven Coomber]

New working software list additions
-----------------------------------
10 Computer Hits 2 (Beau-Jolly, alt) [C64 Ultimate Tape Archive V2.0]
10 Computer Hits 3 (Beau-Jolly) [C64 Ultimate Tape Archive V2.0]
10 Computer Hits 4 (Beau-Jolly) [C64 Ultimate Tape Archive V2.0]
10th Frame (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
1942 (Elite Systems) [C64 Ultimate Tape Archive V2.0]
1942 (Elite Systems, alt) [C64 Ultimate Tape Archive V2.0]
1943: The Battle of Midway (Go!) [C64 Ultimate Tape Archive V2.0]
3D Pool (Firebird) [C64 Ultimate Tape Archive V2.0]
3D Pool (Kixx) [C64 Ultimate Tape Archive V2.0]
4 Most Horror (Alternative Software) [C64 Ultimate Tape Archive V2.0]
4 Soccer Simulators (Codemasters) [C64 Ultimate Tape Archive V2.0]
4th & Inches (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
5th Gear (Prism Leisure) [C64 Ultimate Tape Archive V2.0]
6 Computer Hits (Beau-Jolly) [C64 Ultimate Tape Archive V2.0]
6 Computer Hits (Beau-Jolly, alt) [C64 Ultimate Tape Archive V2.0]
6 Pak (Elite Systems) [C64 Ultimate Tape Archive V2.0]
720 (U.S. Gold) [C64 Ultimate Tape Archive V2.0]

-c64_cass.xml: 30 new dumps (#8282) [Steven Coomber]

New working software list additions
-----------------------------------
A View to a Kill (Domark) [C64 Ultimate Tape Archive V2.0]
ACE: The Air Combat Emulator (Cascade Games) [C64 Ultimate Tape Archive V2.0]
AcroJet (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Action Pack (Prism Leisure Corporation, alt) [C64 Ultimate Tape Archive V2.0]
Addicted to Fun: Rainbow Collection (Ocean) [C64 Ultimate Tape Archive V2.0]
Advanced Pinball Simulator (Codemasters) [C64 Ultimate Tape Archive V2.0]
Adventures of Bond... Basildon Bond (Probe Software) [C64 Ultimate Tape Archive V2.0]
Alleykat (Hewson Consultants, alt) [C64 Ultimate Tape Archive V2.0]
Altered Beast (Activision) [C64 Ultimate Tape Archive V2.0]
Alternative World Games (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
America's Cup Challenge (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Anarchy (Rack It, alt) [C64 Ultimate Tape Archive V2.0]
Annihilator (Rabbit Software) [C64 Ultimate Tape Archive V2.0]
Anter-Planter (Romik Software) [C64 Ultimate Tape Archive V2.0]
Arcade Force Four (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Arcade Hits 2 in 1 (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Arkanoid (Imagine) [C64 Ultimate Tape Archive V2.0]
Arkanoid: Revenge of Doh (Imagine) [C64 Ultimate Tape Archive V2.0]
Armalyte (Thalamus) [C64 Ultimate Tape Archive V2.0]
Armourdillo (Codemasters) [C64 Ultimate Tape Archive V2.0]
Army Moves (Imagine) [C64 Ultimate Tape Archive V2.0]
Athena (Imagine) [C64 Ultimate Tape Archive V2.0]
Atomic Robo-Kid (Activision) [C64 Ultimate Tape Archive V2.0]
Attack of the Mutant Camels (Llamasoft, alt) [C64 Ultimate Tape Archive V2.0]
Auf Wiedersehen Monty (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Avenger (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Ace of Aces (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
APB (Domark, alt) [C64 Ultimate Tape Archive V2.0]
Aquanaut (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
Asterix and the Magic Cauldron (Melbourne House) [C64 Ultimate Tape Archive V2.0]

-c64_cass.xml: 30 new dumps [Steven Coomber]

-bus/nes: Added support for a couple Chinese unlicensed carts. (#8195) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Fāngkuài Zǒngdòngyuán (China) [0kmg]
Korean Igo (Korea) [0kmg]
Ninja Ryukenden (China) [0kmg]

-voodoo: Improve fidelity of synchronization points. Add synchronization back to NOP to fix flicker in gtfore06. [Aaron Giles]

New working machines
--------------------
TI-1680 [hap, Sean Riddle]

-hh_tms1k: fix copypaste mistake [hap]

-bus/nes: Added emulation for two more Kaiser bootlegs, fixed a third. (#8277) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
GetsuFumaDen (Kaiser) [0kmg]
Meikyuu Jiin Dababa (Asia, FDS conversion, alt PCB) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Exciting Basket (Asia, FDS conversion) [0kmg]

-pce.cpp: Converted PC Engine controller ports to slot devices. (#8028) [cam900]

-ggconnie.cpp: Add notes for IRQ. [cam900]

-joypad2.cpp: Fix pin naming [cam900]

-voodoo: Fix dither subtraction. Fixes squares around balls in virtpool. [Aaron Giles]

-chexx.cpp: changed olihockey and clone to MACHINE_IMPERFECT_SOUND since they do produce some (bad) sounds [Ivan Vangelista]

-cointek.cpp: minor update to the preliminary decryption [Ivan Vangelista]

-konamigx.cpp: corrected mtwinbee title [Ivan Vangelista]

New working machines
--------------------
Eldorado Chess Challenger [hap, bataais]

-fix build [cracyc]

-Apple softlist updates for July 2021 (#8293) [Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Pipe Dream [4am, Firehawke]
ShowOff (Version 1.1) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Calendar Crafter (Version 1.2) [4am, Firehawke]
Designer Prints (Version 1.0) [4am, Firehawke]
Designer Puzzles (Version 1.0) [4am, Firehawke]
Mercury (Version 1.0) [4am, Firehawke]
Storybook Weaver [4am, Firehawke]
Storybook Weaver: World of Adventure (Version 1.0) [4am, Firehawke]
Storybook Weaver: World of Make-Believe (Version 1.0) [4am, Firehawke]

-Title correction on "Storybook Weaver" from apple2gs_flop_misc software list. [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Prince of Persia (800K 3.5") [4am, Firehawke]
Woolly's Birthday (Version 1.0) (800K 3.5") [4am, Firehawke]
Troll Sports Math (800K 3.5") [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Astro Attack (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Spell Master (Version 1.3.1) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Dinner on a Disk (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Micro Barmate (Version 1.0) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Math Skills (Version 1.3) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Fractions (Version 3.0) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Perception (Version 3.1) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
LogoMotion (Version 1.2) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Cross Country Rallye (Softsmith) (cleanly cracked) [4am, san inc., Firehawke]
Algebra I (Version 1.3) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Bugbyter (Version 1.11) (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Midnight Malady (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Mummy's Curse (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Lazer Maze (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Zenith (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Supermap (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Guardian (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Game of the U.S. (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
L.A. Land Monopoly (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Cosmic Combat (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
The Game Show (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Creature Venture (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]
Lazer Silk (SoftSmith) (cleanly cracked) [4am, san inc., Firehawke]

Software list items promoted to working
---------------------------------------
apple2_flop_orig.xml: Aliens [4am, Firehawke]
apple2_flop_clcracked.xml: Aliens [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Disk Director (SoftSmith) (cleanly cracked) [4am, san inc, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Paperboy [4am, Firehawke]
Columns GS [4am, Firehawke]
Snoopy's Reading Machine [4am, Firehawke]

Software list items promoted to working
---------------------------------------
apple2_flop_orig.xml: 2400 A.D. [4am, Firehawke]

-Correct Fantavision (Apple IIgs) and Print Shop IIgs compatibility information. [Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Pro Football Pointspread Prediction System (cleanly cracked) [4am, Firehawke]
Stickybear Drawing (cleanly cracked) [4am, san inc, Firehawke]
Bumble Games (Version 1.4) (cleanly cracked) [4am, san inc, Firehawke]
Beach Landing (cleanly cracked) [4am, san inc, Firehawke]
Temple of Apshai rev. 4 (cleanly cracked) [4am, san inc, Firehawke]
Adventure Double Feature Volume II (cleanly cracked) [4am, san inc, Firehawke]
Moptown Parade (1981 Version) (cleanly cracked) [4am, san inc, Firehawke]
Crush, Crumble and Chomp! (1981-06-22 Version) (cleanly cracked) [4am, san inc, Firehawke]
Con-Putation (cleanly cracked) [4am, san inc, Firehawke]
Drinks on a Disk (SoftSmith) (cleanly cracked) [4am, san inc, Firehawke]
Friends or Lovers (SoftSmith) (cleanly cracked) [4am, san inc, Firehawke]
Little Speller (Version 2.0) (SoftSmith) (cleanly cracked) [4am, san inc, Firehawke]
The Final Frontier (Version 1.0) (SoftSmith) (cleanly cracked) [4am, san inc, Firehawke]
Farm Ledger Pro (cleanly cracked) [4am, Firehawke]
Print Your Own BINGO Plus (Version 01.23.88) (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Charlie Brown's ABC's [4am, Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Where in Europe is Carmen Sandiego? (800K 3.5") [4am, Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
The Playroom (Version 1.0) (800K 3.5") [4am, Firehawke]
SuperPrint! (Version 1.4) (800K 3.5") [4am, Firehawke]
Rampage (800K 3.5") [4am, Firehawke]
Hegira: Tale of a Galactic Exile [4am, Firehawke]
Stickybear Math (800K 3.5") [4am, Firehawke]

-megasys1.cpp: adjusted ROM area size for type A main CPU and added RAM mirror for audio CPU (verified on hardware) [hammy]

-vgmplay.xml:  Added 22 new entries [vgmrips.net, Tafoid]

New machines marked as NOT_WORKING
----------------------------------
Casio SX1010 [Plamen Mihaylov]

-sx1010: correct rom mapping to see the reset code [Olivier Galibert]

-sx1010: map the other half [Olivier Galibert]

-sx1010: add (nv)ram [Olivier Galibert]

-sx1010: Start mapping a register [Olivier Galibert]

-fidel_eldorado: corrected romdump [bataais]

-fidel_sc6: add note [hap]

-sx1000: speculative devices [Patrick Mackinlay]

-sx1010: main screen turn on [Olivier Galibert]

-sx1010: resolution changed by mistake [Olivier Galibert]

-sx1010: Hack in the vsync line [Olivier Galibert]

-pacman.cpp: redumped painter [f205v]

-royalmah.cpp: preliminary banking for chalgirl, mjsenka, mjyarou, mjyarou2. Girls now appear. These games don't appear to set the
 palette bank, so they all have bad colors. [Ivan Vangelista]

-gave mtwinbee a valid default eeprom like other sets [DavidHaywood]

-fixed discoboyp tile banking (boss stages) [DavidHaywood]

-c64_cass.xml: Change 720 degrees game title name to match arcade vers… (#8296) [Steven Coomber]
 * c64_cass.xml: Change 720 degrees game title name to match arcade version for consistency

-video/namco_c355spr.cpp: Fixed handling of sprite attribute table index - fixes missing sprites in finalapr. [Ryan Holtz]

-k001005: Major rewrite and documentation update [Ville Linde]
 * Implemented fog using correct parameters
 * Fixed lighting calculations
 * Implemented bilinear filtering in games that use it (slrasslt, thunderh)
 * Use templates for rasterizer code paths
 * Refactored polygon parser

-sx1010: Add the serial console [Olivier Galibert]

-Fix structure of commented data and added sizes [Scott Stone]

-delegate: Fix Visual Studio case with displaced object base (internal representation seems to have drifted since it was originally
 written). [Aaron Giles]

-API cleanups and miscellaneous fixes. [Vas Crabb]
 * emu/ioport.cpp: Allow controller files to override input sequences for inputs that don't use defaults, and to override the toggle
    setting for digital inputs.
 * emu/config.cpp: Expose configuration level (mostly matters for controller files), improved verbose diagnostic messages, and moved
    a few things out of the global and preprocessor namespaces.
 * docs: Added documentation for some controller configuration file features.  The device mapping feature documentation will be
    merged in at some point.
 * util/unicode.cpp, emu/input.cpp: API cleanups.

-sx1000: hook up the acrtc [Patrick Mackinlay]

-video/namco_c355spr.cpp: Adjusted sprite attribute table index mask to accommodate vshoot. (#8302) [Ryan Holtz]

-funkball: Implement timer (actual frequency unknown) [Aaron Giles]

-sx1000: hook up font ram [Patrick Mackinlay]

-sx1000: adjust some parameters [Patrick Mackinlay]

-hd63484 include in mess build to fix linking error [Robbbert]

-use namco_c355spr_device built in sprite buffering to pevent flickering gfx in suzuk8h2 [David Haywood] (#8295) [David Haywood]

-sx1010: split the two screens.  Pixel clocks are probably wrong. [Olivier Galibert]

-funkball: Found a reference to 32539 in the code that looks to be a reasonable guess at the timer frequency. [Aaron Giles]

-royalmah.cpp: got mjsiyoub to a somewhat playable state. Colors are bad and it's missing the audio CPU + MSM5205 hook up
 [Ivan Vangelista]

-shtzone.cpp: made the timer side show something. Needs emulation of the SMS side and of the comms [Ivan Vangelista]

-voodoo: Return 0 on invalid reads, seems to fix funkball. Improve logging of unexpected accesses to include register name.
 [Aaron Giles]

New working clones
------------------
Armored Warriors (Brazil 941024) [Vinícius Marques, Filipe Nascimento, Giovanni (FOX Eletronics), CPS Raptor group, SHVB]

-funkball: add sound cpu [cracyc]

-funkball: fix flags [cracyc]

-gaelcrpt: Eliminate space.device() accesses [AJR]

-List shortnames of subdevices that have ROMs as part of -listroms header [AJR]

-namcos2.cpp:  Normalize an uncommon size entry for user2 region for finalap3 and clones [Scott Stone]

-some Namco posirq kludges [David Haywood] + Final Lap R sprite position fix [Ryan Holtz] (#8305) [David Haywood]

-at.cpp, apple2e.cpp - Fixing of size of commented ROM_LOAD entries to match actual images [Scott Stone]

-ns32000: fix check instruction undefined behavior [Patrick Mackinlay]

New WORKING machines
--------------------
National Semiconductor DB32016 [Al Kossow]

-ns32000dasm: rewrite [Patrick Mackinlay]
 * simplified/consolidated logic
 * corrected scaled mode decoding

-elwro800: give access to spectrum software list. [Robbbert]

-shtzone.cpp: added SMS side. Somewhat playable but needs more work. [Ivan Vangelista]

-taito_b.cpp: named a couple of inputs for sbm [Guru]

-viper.cpp: dumped DS2430 and M48T58 for mocapglf and sscopefh [Porchy]

-dauphin: added notes, marked MNW. [Robbbert]

-k001005: Disable fog when using constant Z. [Ville Linde]

-cobra: Restore to somewhat working state. Adjust visible area to match the K001604. [Ville Linde]

-cobra: add ram for rf5c400 [Ville Linde]

-samcoupe_flop.xml: New software list additions [ArcadeShadow]
 * Castle [World of SAM] Lemmings [World of SAM] Prince of Persia [World of SAM] Sophistry [World of SAM]

-apple3: Preliminary support for Microsoft SoftCard /// [Rob Justice, R. Belmont]

-saturn.xml: Updated metadata (name; year) [ArcadeShadow]
 * Updated metadata (name; year)

-exp85: fixed keyboard problem, added save-state support. [Robbbert]

New working clones
------------------
Gunbarl (Japan, GNB1/VER.A) [Bill D., Brian Troha, The Dumping Union]

-bus/nes: Support full 12-bit mapper numbers in NES 2.0 loader. (#8281) [0kmg]
 * Hooked up .nes loader up for some mappers above 255.
 * Fleshed out more plane 1+ mapper number info.
 * Added notes to mapper list.

-nes.xml: Fixed a couple of metadata issues. [0kmg]

-Implement 68k FPU FATAN instruction (#8287) [Calvin Buckley]

-namco_c355spr.cpp: treat 'dy' as signed, seems a more logical solution to finalapr 'missing objects' and also fixes the flags on
 course select screen (#8314) [David Haywood]

-cave.cpp: add Bet 12 button to paccarn (#8263) [Devin Acker]

-apple3: disable the VIAs in Apple II mode. [Paul Hagstrom, R. Belmont]

-apple3: remove unnecessary debug print [R. Belmont]

-snes.xml: replace a bad dump, remove a duplicate (#8248) [0kmg]
 * snes.xml:  mk2u is identical to mk2ua when it should be a revision, not simply a split ROM. Replace with correct dump.
 * snes.xml:  mk3p1 is identical to mk3up, and there's no evidence of two prototypes from the same day on different hardware. Keep
    documented board, remove duplicate.

-fmtowns_flop_*.xml: 13 new dumps, AliceSoft replacements and cleanups (#8283) [r09]
 * fmtowns_flop_*.xml: 11 new dumps, AliceSoft replacements and cleanups
   - Replaced rance, rance2 and toshinto with cleaner images (fewer save files modified) [cyo.the.vile]
   - Verified drstop, rance and rance2 as correct dumps from original disks and moved them to fmtowns_flop_orig.xml [cyo.the.vile]
   - Renamed dpssg2 and dpssg3 in fmtowns_flop_misc.xml as alternate versions with slight differences

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
Ayumi-chan Monogatari Hint Disk [cyo.the.vile]
D.P.S SG 2 - Dream Program System SG Set 2 [cyo.the.vile]
D.P.S SG 3 - Dream Program System SG Set 3 [cyo.the.vile]
Dr. Stop! [cyo.the.vile]
Kakeibo + Fukubukuro - Wagaya no Benrichou Vol. 1 [cyo.the.vile]
Rance - Hikari o Motomete [cyo.the.vile]
Rance 2 - Hangyaku no Shoujo-tachi [cyo.the.vile]
Rance 2 Hint Disk [cyo.the.vile]
Rance IV Demonstration Disk [cyo.the.vile]
Rance IV Option Disk [cyo.the.vile]
Toushin Toshi (1990-12-07) [cyo.the.vile]

-fmtowns_flop_orig.xml: 2 new dumps [r09]

New working software list additions (fmtowns_flop_orig.xml)
-----------------------------------------------------------
Towns Drill - Shougaku Sansuu Series - Sansuu 4-nen (TownsGEAR V2.1 version) [wiggy2k]
Towns Drill - Shougaku Sansuu Series - Sansuu 5-nen (TownsGEAR V2.1 version) [wiggy2k]

-fmtowns_flop_orig.xml: forgot to remove this from the missing list [r09]

-pc98.xml: add OS/2 J2.11 dump (#8307) [r09]

New working software list additions
-----------------------------------
OS/2 J2.11 [huoqianyu, flyingharuka]

-fmtowns_cd.xml: 25 new dumps, 12 replacements, add/replace floppies (#8290) [r09]
 * Renamed the Windows sets to reflect the actual names more properly, and changed the publisher field, since they were published by
    Fujitsu under license from Microsoft.
 * Added the missing floppy disk to lettuce2 [cyo.the.vile]
 * Replaced the rance4 floppy disk with a cleaner unmodified copy [cyo.the.vile]

New working software list additions
-----------------------------------
Computer Zukan - Shokubutsu-hen [redump.org]
FM Towns II Demonstration CD-ROM '93 Winter [redump.org]
FM Towns Super Technology Demo 1993 (HME-219A) [redump.org]
GNU for Towns [redump.org]
Hyperland II - Mimi no Daibouken [redump.org]
Multimedia Communication Virtual Town - TC-Station - Computer Gakushuu Program [redump.org, cyo.the.vile]
Multimedia Communication Virtual Town - TC-Station - Computer Graphics & Music [redump.org, cyo.the.vile]
Multimedia Communication Virtual Town - TC-Station - Game Collection [redump.org, cyo.the.vile]
Multimedia Communication Virtual Town - TC-Station - Marty WorPro & Marty Hyoukeisan [redump.org, cyo.the.vile]
Multimedia Communication Virtual Town - TC-Station - Photo Collection [redump.org, cyo.the.vile]
Multimedia Communication Virtual Town - TC-Station - Virtual Town Tsuushin Program [redump.org, cyo.the.vile]
Oto to E no Deru Eigo Jisho No. 3 - Nandemo Illust Eigo Jiten [redump.org]
Oto to E no Deru Eigo Jisho No. 4 - Nandemo Illust Eigo Jiten Part 2 [redump.org]
Q² ROM Magazine Soukan-gou [redump.org]
Secre Demo Disk [redump.org]
Secre Volume 4 - Hitomi Fujisaki [redump.org]
Secre Volume 5 - Tina Gushiken [redump.org]
Secre Volume 6 - Reiko Kato [redump.org]
Secre Volume 7 - Reiko Chiba [redump.org]
Towns System Software V2.1 L20 [redump.org]
Towns System Software V2.1 L30A [redump.org]
Towns System Software V2.1 L40 [redump.org]
TownsPaint II V1.1 L10 [redump.org]
TownsSound V2.1 L10 [redump.org]

New not working software list additions
---------------------------------------
Fujitsu Habitat V1.1 L10 [redump.org, cyo.the.vile]

Replaced software list items
----------------------------
F-BASIC386 v2.1 L10 [redump.org]
FM Towns Hyper CD Demo Futoppara No. 1 [redump.org]
Mahou Daisakusen [redump.org]
Microsoft Windows 95 Upgrade Package [redump.org]
Mujintou Monogatari [redump.org]
Nobunaga no Yabou - Haouden [redump.org]
Oshare Club [redump.org]
RAC Rally [redump.org]
Secre Volume 2 - Mai Oikawa [redump.org]
Shounen Magazine History [redump.org]
The Case of the Cautious Condor [redump.org]
Towns System Software V1.1 L20 [redump.org]

Software list items promoted to working
---------------------------------------
Lettuce Cooking - Tanoshiku Tsukureru Obentou [cyo.the.vile]

-gameboy.xml, gbcolor.xml: fix some parent/clone relationships/naming (#8284) [0kmg]
 * gameboy.xml, gbcolor.xml: fix some parent/clone relationships and naming

-New WORKING software list additions (#8288) [ClawGrip]

New WORKING software list additions
-----------------------------------
Disney Winnie the Pooh - The Honey Hunt (USA) [skaman]
Disney Princess - The Princess and the Frog - Tiana's Big Dream (USA) [skaman]
Disney/Pixar Up (USA) [skaman]
Nickelodeon Wonder Pets! - Save the Animals! (USA) [skaman]
Snow Park Challenge (USA) [skaman]
Super WHY! - The Beach Day Mystery (USA) [skaman]
Thomas & Friends - Engines Working Together (USA) [skaman]
Wild Waves (USA) [skaman]

-vsmilem_cart.xml: Use correct split ROMs for "toystor3m" [skaman]

-various XML format fixes [Scott Stone]

-video/upd7220.cpp: During a GCHRD command, always start with pram[15]. (#8317) [Brian Johnson]
 * Fixes some display bugs on the QX-10 system when using mfbasic.com.

-qx10: Fix color video mode to display proper colors (#8319) [Brian Johnson]

-bus/nes: Added support for another Ai Senshi Nicol bootleg. [0kmg]
 * Also changed nazomfds to reflect lack of battery backed RAM. Game remains not working.

New working software list additions
-----------------------------------
Ai Senshi Nicol (Asia, FDS conversion, alt) [0kmg]

-lwriter.cpp: Reimplement the 0x600000-0x7fffff range to bitwise-OR on write.  Fixes GitHub issue #8309. [Jeff Muizelaar]

-ncr5380n: reclaim ncr5380 device name [Patrick Mackinlay]

-bus/nes: Added support for a Batman bootleg. (#8316) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Batman - The Video Game (pirate) [0kmg]

-hiscore.dat: Updates [Leezer]

-Tie up a few loose ends in drivers: [Vas Crabb]
 * neogeo.cpp: Added newer Universe BIOS versions to irrmaze - this allows the Japanese version to be seen by switching the region,
    and joystick play using a cheat (although 2.3 and later also support trackball play, a joystick is still required for setup and
    to use the in-game menu). Also changed roboarma to roboarmya, as this matches the software list, and we prefer to make clone set
    names using suffixes.
 * neogeo.xml: Added irrmaze with usage note explaining that newer Universe BIOS versions support joystick play as a cheat (must be
    enabled each session - Universe BIOS does not save cheat state to NVRAM).
 * lwriter.cpp: Got rid of a couple of literal tags, make use of Allman style a bit more consistent, and got rid of a redundant part
    of a bitwise or expression.
 * runaway.cpp: Merged video code into main driver file, split state classes, reduced a bit of redundancy, eliminated runtime input
    tag lookups, and generally tidied up code.
 * dai3wksi.cpp: Noted manufacture in description for runaways.

-ichiban.cpp: very minor comment updates [Ivan Vangelista]

-tapperb: update to include label dates for EPROMs (#8318) [tacotown]

-at.cpp: Fixed some ROM_LOADs for SHA1 entries [Scott Stone]

-cassimg: don't construct string from nullptr (#8265). [Robbbert]
 * Note that std::string() was tried but somehow caused another bug (tape preset as play was instead stopped).

-sag: update notes [hap]

-f2mc16: Rewrite disassembler [AJR]
 * Fix bug in CPU core advancing PC by one too many bytes when executing ADDL A, RLn

-bus/nes: Improved emulation of smb3h SMB3 bootleg. (#8308) [0kmg]
 * Corrected IRQ behavior. Fixes almost all flickering on status bar divider line.
 * Corrected various minor details that don't affect emulation but are accurate to PCB.
 * PRG ROM is on two DIPs. Split image to reflect that.

-bus/nes: Explicitly clear IRQs in almanfds games. [0kmg]

-ns32000: check destination is zero-extended [Patrick Mackinlay]

-mephisto_amsterdam/glasgow: keypad was swapped around wrong [hap]

New working software list additions
-----------------------------------
pdp1_ptp: Spacewar!, Munching Squares, DDT [Robbbert]

New working software list additions
-----------------------------------
apexc_cyl: Hello World 1, Hello World 2, Hello World 3 [Robbbert]

-apple2gs: swap the DOC stereo outputs to match Apple documentation. [R. Belmont]

-gticlub: new eeprom dumps for GTI Club and Operation Thunder Hurricane [Guru]

-k001604: added callback for vblank irq [Ville Linde]

New working software list additions (apple2_flop_orig.xml) (#8341)
------------------------------------------------------------------
Stickybear Math 2 (1988 Re-release) (800K 3.5") [4am, Firehawke]
Stickybear Opposites (1989 Re-release) (800K 3.5") [4am, Firehawke]
Stickybear Town Builder (1988 Re-release) (800K 3.5") [4am, Firehawke]
Stickybear Typing (1988 Re-release) (800K 3.5") [4am, Firehawke]
Spelling Rules (1989 Re-release) (800K 3.5") [4am, Firehawke]
Sentence Fun (1989 Re-release) (800K 3.5") [4am, Firehawke]
Alge-Blaster Plus! (Version 1.0) (800K 3.5") [4am, Firehawke]
Mickey's Crossword Puzzle Maker (800K 3.5") [4am, Firehawke]

-mcs51: add i8744 [Patrick Mackinlay]

-ns32082: remove obsolete comment [Patrick Mackinlay]

-ymfm: Sync with upstream [Aaron Giles]
 * Fix LFO disable on YM2151
 * Fix swapped lower nibbles for 12-bit PCM on OPL4

-am9517a: setting mask bits also sets status [Patrick Mackinlay]

New machines marked as NOT_WORKING
----------------------------------
Tektronix 4132 [Al Kossow]

-hh_tms1k: add a known mcu serial to notes [hap]

-tx0: added swlist interface in case anyone can find suitable software. [Robbbert]

-swp30: Start implementing something remotely looking like envelopes [Olivier Galibert]

-gticlub.cpp:  Corrected CRC32 hash for thunderh, thunderhu [Scott Stone]

New NOT_WORKING software list additions
---------------------------------------
msx1+cart: Easi-Speech [hap]

-alpha68k.cpp: Demote Sky Soldiers with MACHINE_UNEMULATED_PROTECTION flag since MCU actually controls bosses time out behaviour.
 [Angelo Salese]

-snes.xml: some recent prototype goodies (#8335) [0kmg]

New working software list additions
-----------------------------------
Addams Family Values (prototype) [snescentral, VGHF]
Armored Police Metal Jack (USA, early prototype) [snescentral, VGHF]
Congo's Caper (prototype) [snescentral, VGHF]
Might and Magic II - Gates to Another World (USA, prototype) [snescentral, VGHF]
Might and Magic II - Gates to Another World (USA, earlier prototype) [snescentral, VGHF]
Operation Thunderbolt (prototype) [snescentral, VGHF]
Rock n' Roll Racing (USA, prototype) [snescentral, VGHF]
Street Racer (prototype) [snescentral, VGHF]
Tom &amp; Jerry (USA, prototype, alt) [snescentral, VGHF]
World Cup USA 94 (USA, prototype) [snescentral, VGHF]
Mortal Kombat 3 (USA, final prototype) [togemet2]

New NOT_WORKING software list additions
---------------------------------------
Mortal Kombat II (USA, final prototype) [togemet2]

-ymfm: Return masked status from set/reset function. Fixes MT08034. [Aaron Giles]

New working software list additions
-----------------------------------
sorcerer_cass: S-Word Word processor [exidyboy]

-sslam: try to fix graphics [cracyc]

-ymf278b: Allow PCM writes if new2flag is set, even if newflag is not. Fixes MT08033. [Aaron Giles]

-lordgun: Fix way overdriven volume in aliencha. [Aaron Giles]

New working machines
--------------------
Palmtronic F-31 [hap, Sean Riddle]

-New Working clone added (#8349) [algestam]

New Working clone added
-----------------------
Spider (Tronica) [algestam]

-spider: add company name to string [hap]

-tx0: added compatibility flags [Robbbert]

-cd.cpp: Fix regression booting SGI Indy from CD-ROM [sneakywumpus, R. Belmont]

-nes.xml: Hooked up some multicarts to existing emulation. (#8347) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
4 in 1 (Alt 2) [0kmg]
4 in 1 (Alt 3) [0kmg]
Reset Based 4 in 1 [0kmg]

-bus/nes: Added support for 4 multicarts. (#8344) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
10 in 1 (CTC-09) [anonymous]
11 in 1 (K-3046) [anonymous]
16 in 1 (SA005-A) [anonymous]
4 in 1 (TJ-03) [anonymous]

-bus/nes: Added support for a Moero TwinBee FDS conversion. (#8334) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Moero TwinBee - Cinnamon Hakase o Sukue! (FDS conversion) [famiac]

-tx0_8kw: Use correct CPU type [AJR]

-palmf31: add default inputs for 'unused' buttons [hap]

-ibm5150: New working software list additions (#8348) [ArcadeShadow]

New working software list additions
-----------------------------------
Crime Wave (5.25", v1.1) [The Good Old Days]
Crime Wave (5.25", v2.0) [The Good Old Days]

-ibm5170: new software lists additions (#8336) [Davide Cavalca]

New working software list additions
-----------------------------------
Caldera OpenDOS 7.01 (3.5" 1.44MB) [archive.org]
Caldera OpenDOS 7.01 (3.5" 720KB) [archive.org]
Caldera OpenDOS 7.01 (5.25" 1.2MB) [archive.org]
Caldera OpenDOS Lite 7.01 (3.5" 1.44MB) [archive.org]
Caldera OpenDOS Lite 7.01 (3.5" 720KB) [archive.org]
Caldera OpenDOS Lite 7.01 (5.25" 1.2MB) [archive.org]
DR DOS 6.0 [archive.org]
DR DOS 7.03 [archive.org]
DR DOS Lite 7.03 [archive.org]
OS/2 Black Jack [archive.org]
OS/2 Poker [archive.org]
OS/2 Warp [archive.org]
OS/2 Warp 3 FixPak XR_W040 [archive.org]
OS/2 Warp Connect with Win-OS/2 [archive.org]
OS/2 Warp with Win-OS/2 [archive.org]
Windows NT 3.1 Workstation (3.10.511.1) [WinWorld]
Windows NT 3.1 Workstation (3.10.511.1) [3.5" floppy] [WinWorld]
Windows NT 3.51 Workstation (3.51.1057.1) [WinWorld]
Windows NT 3.5 Workstation (3.50.807) [WinWorld]
Windows NT 3.5 Workstation (3.50.807) [3.5" floppies] [WinWorld]

-ibm5170_cdrom: new software list additions (#8337) [Davide Cavalca]

New working software list additions
-----------------------------------
Caldera OpenDOS Machine Readable Source Kit (M.R.S) 7.01 [archive.org, Davide Cavalca]
IBM AttachPak for OS/2 Warp Connect [archive.org]
IBM DEMOpkg for OS2 - First Edition 99Q3 [archive.org]
Lotus Notes Express v3.30 for OS2, Special Promotion Copy NFR [archive.org]
Lotus SmartSuite for OS/2 Warp 4 [archive.org]
OS/2 Warp [archive.org]
OS/2 Warp Connect with Win-OS/2 [archive.org]
OS/2 Warp Special CD - november 1995 [archive.org, Davide Cavalca]
OS/2 Warp with Win-OS/2 [archive.org]
PC DOS 7 [archive.org]
Windows NT 3.1 Workstation (3.10.511.1) [WinWorld]
Windows NT 3.51 Workstation (3.51.1057.1) [WinWorld]

-ibm5170_hdd: new software lists additions (#8338) [Davide Cavalca]

New working software list additions
-----------------------------------
Caldera OpenDOS 7.01 [Davide Cavalca]
Caldera OpenDOS Lite 7.01 [Davide Cavalca]
DR DOS 7.03 [Davide Cavalca]
DR DOS Lite 7.03 [Davide Cavalca]
OS/2 Warp Connect with Win-OS/2 [Davide Cavalca]
OS/2 Warp with Win-OS/2 [Davide Cavalca]

-nes.xml: SMB2 FDS bootleg (and related PCB) additions/clean-up. (#8301) [0kmg]
 * nes.xml: Added new parent smb2fds from verified LF36 cart.
 * nes.xml: Old mistaken LF36 corrected to its known PCB label YS-612 (smb2lf renamed smb2fdsd).
 * nes.xml: Old parent set renamed smb2fdsf (and maybe is a candidate for future removal).
 * nes.xml: Replaced known bad dump of smb2fdsc (TONY-I).
 * nes.xml: Removed mrmary2 extract in favor of its source 4-in-1 multicart.
 * nes.xml: Promoted vballfds since it doesn't use the IRQ causing trouble in related smb2fdse.

New working software list additions
-----------------------------------
Exciting Soccer - Konami Cup (Asia, FDS conversion) [famiac]
Super Mario Bros. 2 (LF36) [krzsyiobal, NewRisingSun]

Software list items promoted to working
---------------------------------------
Super Mario Bros. 2 (TONY-I) [krzsyiobal, NewRisingSun]
Volleyball (Asia, FDS conversion) [0kmg]

New NOT_WORKING software list additions
---------------------------------------
4 in 1 (Mr. Mary 2) [krzsyiobal, NewRisingSun]
Super Mario Bros. 2 (YUNG-08) [krzsyiobal, NewRisingSun]
Super Mario Bros. 2 (YUNG-08, no protection) [krzsyiobal, NewRisingSun]

-ibm5170.xml: New working software list additions (#8342) [ArcadeShadow]

New working software list additions
-----------------------------------
F-15 Strike Eagle III (3.5") [The Good Old Days]
F-15 Strike Eagle III (5.25") [The Good Old Days]
FIFA International Soccer [The Good Old Days]
Might and Magic: Clouds of Xeen [The Good Old Days]
Might and Magic: Darkside of Xeen [The Good Old Days]
Moonstone [Old-Games]
Panzer General [The Good Old Days]
Populous 2: Trials of the Olympian Gods (3.5") [The Good Old Days]
Populous 2: Trials of the Olympian Gods (5.25") [The Good Old Days]
Robocop 3 [The Good Old Days]

-spectrum_cass: metadata update (#8345) [ArcadeShadow]
 * metadata update (publisher, year, cloneof)

-next_hdd: promote nextstep_3_1 and nextstep_3_2 to working (#8339) [Davide Cavalca]

-bus/nes: Added support for Cartridge Story multicarts. (#8353) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Elfland [NewRisingSun]
72 in 1 Cartridge Story [MLX]
80 in 1 Cartridge Story (II) [Yahweasel]
90 in 1 Cartridge Story (III) [MLX]

Software list items promoted to working (nes.xml)
-------------------------------------------------
200 in 1 - Elfland [0kmg]

-vsmjtria.cpp: Allow comms to actually work so that game can be coined up properly from either side. (#8245) [Angelo Salese]
 * Added NMI acknowledge, fixed coin input polarity, fixed gal B display, fixed flip screen behaviour.
 * Added NVRAM clear using SW2.

Machines promoted to working
----------------------------
VS Mahjong Triangle [Angelo Salese, Vas Crabb]

-segahang.cpp: Dumped Space Harrier microcontroller (315-5163A). [coolmod, TeamEurope]

-srcclean for 0.234 branch [Vas Crabb]

-debugimgui: fix mount and create image dialogs. [Barry Rodewald]

-A few metadata fixes [Vas Crabb]

-c64_cass.xml: Removed stray space in description for advbasil. [Vas Crabb]
